import * as moment from 'moment';
import * as React from 'react';
export interface DateRangeProps {
    width?: number;
    start?: moment.Moment;
    end?: moment.Moment;
    onChange: Function;
    showTime?: boolean;
    allowClear?: boolean;
    placeholder?: string;
    style?: React.CSSProperties;
}
export default class extends React.PureComponent<DateRangeProps> {
    state: {
        showTime: boolean;
        start_input: string;
        start_format: string;
        end_input: string;
        end_format: string;
    };
    componentDidMount(): void;
    render(): JSX.Element;
}
