import * as React from 'react';
import { ESTableProps } from './interface';
/***
 * ES Table 使用说明
 *
*/
export default class extends React.PureComponent<ESTableProps> {
    id: string;
    api: string;
    timeField: string;
    typeName: string;
    columns: any[];
    BaseQuery: {
        and: {};
        or: {};
        not: {};
    };
    and: any;
    fields: any[];
    fieldMap: Map<string, string>;
    constructor(props: any);
    state: {
        loading: boolean;
        list: any[];
        total: number;
        totalAcc: number;
        pageSize: number;
        order: string;
        by: string;
        current: number;
    };
    private setColumn;
    private setDefault;
    componentDidMount(): void;
    cleanAndQuery: (param: any) => void;
    componentDidUpdate(old: any): void;
    private _query;
    clear(): void;
    query: (param: any) => void;
    private renderSearchBar;
    private renderTable;
    private toPage;
    private sort;
    private renderPagination;
    render(): JSX.Element;
}
