import * as React from 'react';
import DynamicTree from '../../_common/VTree/DynamicTree';
interface TreeModalOpts {
    onSelect: Function;
    required?: boolean;
    domainInfo: {
        code: string;
        domainName: string;
    };
    multiple?: boolean;
    mode?: 'search' | 'default';
    onClear?: Function;
}
export default class extends React.PureComponent<TreeModalOpts> {
    tree: DynamicTree;
    state: {
        show: boolean;
        currentNode: any;
        treeData: any[];
    };
    componentDidMount(): void;
    show(): void;
    private onChooseNode;
    clear(): void;
    render(): JSX.Element;
}
export {};
