import * as React from 'react';
interface TreeModalOpts {
    onSelect: Function;
    required?: boolean;
    domainInfo: {
        code: string;
        domainName: string;
        domainCode: any;
    };
}
export default class extends React.PureComponent<TreeModalOpts> {
    state: {
        show: boolean;
        currentNode: any;
        domainTree: any[];
        selectedKeys: any[];
        selectedEvt: {
            domainNameList: any[];
            domainCodeList: any[];
        };
        defaultExpandedKeys: any[];
    };
    componentWillMount(): void;
    componentDidMount(): void;
    getTree(): Promise<void>;
    private renderTree;
    private selectTree;
    private onChooseNode;
    clear: () => void;
    show(): void;
    render(): JSX.Element;
}
export {};
