"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (g && (g = 0, op[0] && (_ = 0)), _) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var _ = require("lodash");
var antd_1 = require("antd");
var Ajax_1 = require("../../utils/Ajax");
var DynamicTree_1 = require("../../_common/VTree/DynamicTree");
// 组织机构的选择器
var default_1 = /** @class */ (function (_super) {
    __extends(default_1, _super);
    function default_1() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.tree = null;
        _this.state = {
            currentNode: null,
            error: false,
            show: false,
        };
        return _this;
    }
    default_1.prototype.componentDidMount = function () {
        if (this.props.orgInfo && this.props.orgInfo.code) {
            if (this.props.mode == 'search')
                this.setState({ currentNode: this.props.orgInfo.code });
            else
                this.setState({ currentNode: this.props.orgInfo });
        }
    };
    default_1.prototype.show = function () {
        return __awaiter(this, void 0, void 0, function () {
            return __generator(this, function (_a) {
                this.setState({ show: true });
                return [2 /*return*/];
            });
        });
    };
    default_1.prototype.onChooseNode = function (currentNode) {
        this.setState({ show: false });
        this.props.onSelect(currentNode);
    };
    default_1.prototype.clear = function () {
        this.setState({ currentNode: null });
        this.tree.clearSelect();
    };
    default_1.prototype.render = function () {
        var _this = this;
        var param = {};
        if (this.props.orgInfo && this.props.orgInfo.code) {
            param = {
                defaultSelectedKeys: [this.props.orgInfo.code],
            };
        }
        return React.createElement(antd_1.Modal, { visible: this.state.show, title: '请选择机构', footer: React.createElement("div", null,
                React.createElement("div", null,
                    React.createElement(antd_1.Button, { disabled: this.props.required && this.state.currentNode == null, type: "primary", onClick: function () { return _this.onChooseNode(_this.state.currentNode); } }, "\u786E\u5B9A"),
                    this.props.onClear && React.createElement(antd_1.Button, { style: { marginLeft: 12 }, onClick: function () { _this.setState({ currentNode: null }); _this.props.onClear && _this.props.onClear(); _this.setState({ show: false }); _this.tree.clearSelect(); } }, "\u6E05\u7A7A"))), onCancel: function () { return _this.setState({ show: false }); } },
            React.createElement(antd_1.Affix, { offsetTop: 10 }, this.state.currentNode && React.createElement("div", { style: { marginBottom: 10 } },
                React.createElement("span", null,
                    " ",
                    React.createElement("b", null,
                        "\u5DF2\u9009\u62E9 : ",
                        this.props.multiple ? this.state.currentNode.map(function (item, index) {
                            return React.createElement("span", null,
                                item.name,
                                ",");
                        }) : this.state.currentNode.name)))),
            React.createElement(DynamicTree_1.default, __assign({ multiple: this.props.multiple, style: { height: 300, overflow: 'auto' } }, param, { ref: function (tree) { return _this.tree = tree; }, mustSelect: this.props.required, root: this.props.useRoot ? '/api-common/organization/root' : '/api-common/organization/rootinfo', child: "/api-common/organization/tree/", mode: this.props.mode, onSelect: function (currentNode) {
                    if (currentNode) {
                        _this.setState({ currentNode: currentNode });
                    }
                    else {
                        _this.props.onSelect({ currentNode: null });
                    }
                }, childSuffix: (_.has(this.props, 'businessLine') && this.props.businessLine.length) ? "/".concat(this.props.businessLine) : '', keyField: 'code', nameField: 'name', parentField: 'parentCode', checkChild: "hasChildren" })));
    };
    default_1.GET_NAME = function (code) {
        try {
            var resp = Ajax_1.default.GETASYNC("/api-common/organization/".concat(code));
            if (resp && resp.data) {
                return resp.data.name;
            }
        }
        catch (e) {
        }
        return code;
    };
    return default_1;
}(React.PureComponent));
exports.default = default_1;
// type:'domain'
// type:'org'
// type:'dncytree'
