import * as React from 'react';
import { ListSelectProps } from "./interface";
/**
 * 列表弹框，弹出一个列表。
 * 1. 可以对列表里面的数据进行增删改查
 * 2. 可以弹出一个单选或多选框，选一条或多条数据后，返回给页面
*/
export declare class ListSelect extends React.PureComponent<ListSelectProps> {
    state: {
        loading: boolean;
        list: any[];
        current: number;
        total: number;
        selectedRowKeys: any[];
        selectedRowObjects: any[];
        isList: boolean;
    };
    valueField: string;
    labelField: string;
    columns: any[];
    selected: any[];
    pageKeys: any[];
    sorter: {};
    param: any;
    componentDidMount(): Promise<void>;
    onSelect(selectedRowKeys: any, selectedRowObjects: any): void;
    onOk(selectedRowKeys?: any, selectedRowObjects?: any): void;
    search(pagination: any, filters: any, sorter?: any): void;
    private renderSearchBar;
    query: (param: any) => void;
    renderFooter(): JSX.Element;
    render(): JSX.Element;
}
