/// <reference types="react" />
import { TopTableProps } from '../TopTable/interface';
export interface ShowTopTableStaticProps extends TopTableProps {
    icon?: string;
    modalTitle?: React.ReactNode;
    /** 宽度 */
    width?: string | number;
    className?: string;
}
export interface TopTableModalProps extends ShowTopTableStaticProps {
    visible: boolean;
    onCancel?: (e: React.MouseEvent<HTMLElement>) => void;
    action?: {
        text: string;
        icon?: string;
        onClick: () => void;
    };
}
