import * as React from 'react';
import { UFormField, UFormFieldGroup, UFromProps } from './interface';
import { WrappedFormUtils } from 'antd/lib/form/Form';
import { _BaseUForm } from './_FormLayout';
import { InputComponent } from './_Util';
export declare class UForm extends _BaseUForm<UFromProps & {
    form?: WrappedFormUtils;
}> {
    static create: () => (typeof UForm);
    componentDidMount(): any;
    shouldComponentUpdate(old: any): boolean;
    reOptions: Map<string, any[]>;
    reRequired: Map<string, boolean>;
    getValueFromEvent(field: UFormField, values: any, extra?: any): any;
    getFiled(component: InputComponent, field: UFormField): React.CElement<{
        form: WrappedFormUtils;
        field: UFormField;
        disabled: boolean;
        options: any[];
    }, React.Component<{
        form: WrappedFormUtils;
        field: UFormField;
        disabled: boolean;
        options: any[];
    }, any, any>>;
    renderField(component: InputComponent, field: UFormField, ignoreRule?: boolean): React.ReactNode;
    renderLabel(field: UFormField): string | JSX.Element;
    renderAction(): any[] | JSX.Element;
    renderForm(fields: UFormField[]): JSX.Element;
    checkFields(fields: UFormField[]): boolean;
    renderGroup(group: UFormFieldGroup[]): JSX.Element[];
    render(): any[] | JSX.Element;
}
