import * as React from 'react';
import { UFromModalProps } from './interface';
/**
 * 新版本表单弹框，支持各种类型的表单元素填写，当提交时，
 * 会调用 onOk 方法将编辑的对象信息以参数传递回去。
*/
export declare class UFormModal extends React.PureComponent<UFromModalProps> {
    private submiting;
    state: {
        Form: any;
    };
    form: any;
    private _isReShow;
    private _isShutDown;
    componentDidMount(): void;
    componentDidUpdate(old: any): void;
    private clean;
    submit(fn: ((err: any, values: any) => void)): void;
    private onSubmit;
    renderFooter(): JSX.Element | JSX.Element[];
    render(): any[] | JSX.Element;
}
