/// <reference types="react" />
import { UFormField, UFormFieldGroup, UInfoProps } from './interface';
import { _BaseUForm } from './_FormLayout';
import { InputComponent } from './_Util';
export declare class UInfo extends _BaseUForm<UInfoProps> {
    isInfo: boolean;
    componentDidMount(): {
        width: number;
        cols: number;
        MAX_LEN: {
            COUNT: number;
        };
        isGroup: boolean;
        COLSPAN: number;
        LABELSPAN: number;
        INPUTSPAN: number;
        loading: boolean;
    };
    shouldComponentUpdate(old: any): boolean;
    renderValue(component: InputComponent, field: UFormField, data: any): any;
    renderForm(fields: UFormField[], title?: any): JSX.Element;
    renderGroup(group: UFormFieldGroup[]): JSX.Element[];
    render(): any[] | JSX.Element;
}
