"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * 导入性质Button
*/
var React = require("react");
var _ = require("lodash");
var antd_1 = require("antd");
var Upload_1 = require("./Upload");
var default_1 = /** @class */ (function (_super) {
    __extends(default_1, _super);
    function default_1() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.state = {
            loading: false,
            process: 0,
        };
        _this.handleChange = function (info) {
            if (info.file.status === 'uploading') {
                _this.setState({ loading: true, process: Math.floor(info.file.percent) });
                return;
            }
            if (info.file.status === 'done') {
                _this.setState({
                    loading: false, process: 0
                });
                _this.props.callback(info.file.response);
            }
            if (info.file.status === 'error') {
                antd_1.message.error("\u6587\u4EF6 ".concat(info.file.name, "\u4E0A\u4F20\u5931\u8D25"));
                _this.setState({
                    loading: false, process: 0
                });
            }
        };
        return _this;
    }
    default_1.prototype.render = function () {
        var action = this.props.url || '/api-fileup/fileup/uploadFile';
        var text = this.props.text || '导入';
        var icon = this.props.icon || 'upload';
        var param = {};
        if (_.has(this.props, 'accept')) {
            param.accept = this.props.accept;
        }
        return React.createElement(Upload_1.Upload, __assign({ name: "file", withCredentials: true, listType: "picture", showUploadList: false, onChange: this.handleChange, action: action }, param),
            React.createElement(antd_1.Button, { size: "default", icon: this.state.loading ? 'loading' : icon, className: this.state.loading ? 'pre-' + this.state.process : '', disabled: this.state.loading }, text));
    };
    return default_1;
}(React.PureComponent));
exports.default = default_1;
