import * as React from 'react';
import UploadService from '../Upload/UploadService';
import { UploadProps } from '../Upload/interface';
interface FileUploadProps extends UploadProps {
    url?: string;
    data?: object | boolean;
    initUrl?: string;
    afterUrl?: string;
    upButton?: (url?: string) => React.ReactNode;
    [propName: string]: any;
    templateDownload?: string | {
        url: string;
        text?: string;
        icon?: string;
    };
    btnText?: string;
    downloadText?: string;
}
export default class FileUpload extends UploadService<FileUploadProps> {
    state: any;
    onUpChange: (info: any) => void;
    render(): JSX.Element;
}
export {};
