"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (g && (g = 0, op[0] && (_ = 0)), _) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var _ = require("lodash");
var antd_1 = require("antd");
var Upload_1 = require("../Upload/Upload");
var utils_1 = require("../../utils/");
var Renders_1 = require("../../utils/Renders");
var strRender = Renders_1.default.strRender(10);
//文件上传子组件
var TransfileUpload = /** @class */ (function (_super) {
    __extends(TransfileUpload, _super);
    function TransfileUpload() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.state = {
            upLoading: false,
            upLoadName: ''
        };
        _this.setId = function (data) { return __awaiter(_this, void 0, void 0, function () {
            var api, fileName, srcPath, describe, filePath, respAll, find, respPut;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        if (!_.has(this.props, 'fileTransfer')) {
                            return [2 /*return*/, data];
                        }
                        api = _.isString(this.props.fileTransfer) ? this.props.fileTransfer : '/api-audit/file_transfer/upload_file';
                        fileName = _.get(data, 'fileName') || '';
                        srcPath = _.get(data, 'localPath') || '';
                        describe = _.get(this.props, 'param.describe') || '';
                        filePath = _.get(this.props, 'param.filePath') || 'uploadFile';
                        return [4 /*yield*/, utils_1.Ajax.POST('/api-audit/file_transfer/upload_file_info', { filePath: filePath, fileName: fileName })];
                    case 1:
                        respAll = _a.sent();
                        if (respAll.code == '0' && respAll.list.length > 0) {
                            find = _.find(respAll.list, function (d) { return d['fileName'] == fileName; });
                            if (find) {
                                _.extend(data, { localPath: find.id });
                                return [2 /*return*/, data];
                            }
                        }
                        return [4 /*yield*/, utils_1.Ajax.PUT(api, { srcPath: srcPath, filePath: filePath, describe: describe })];
                    case 2:
                        respPut = _a.sent();
                        if (respPut.code == '0') {
                            _.extend(data, { localPath: _.get(respPut, 'data.id') });
                        }
                        return [2 /*return*/, data];
                }
            });
        }); };
        return _this;
    }
    TransfileUpload.prototype.componentDidMount = function () {
        this.setState({ upLoadName: this.props.initialValue || this.state.upLoadName });
    };
    TransfileUpload.prototype.render = function () {
        var _this = this;
        return React.createElement(Upload_1.Upload, __assign({ showUploadList: false, withCredentials: true, name: "file", action: '/api-audit/upload' }, this.props, { onChange: function (info) { return __awaiter(_this, void 0, void 0, function () {
                var data;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0:
                            if (info.file.status === 'uploading') {
                                this.setState({ upLoading: true, upLoadName: info.file.name });
                            }
                            if (!(info.file.status === 'done' && info.file.response.code == '0')) return [3 /*break*/, 2];
                            return [4 /*yield*/, this.setId(info.file.response.data)];
                        case 1:
                            data = _a.sent();
                            this.props.onUp(data);
                            this.setState({ upLoading: false, upLoadName: info.file.name });
                            return [3 /*break*/, 3];
                        case 2:
                            if (info.file.status === 'error') {
                                antd_1.message.error("\u6587\u4EF6".concat(info.file.name, "\u4E0A\u4F20\u5931\u8D25"));
                                this.setState({ upLoading: false, upLoadName: '' });
                            }
                            _a.label = 3;
                        case 3: return [2 /*return*/];
                    }
                });
            }); } }),
            React.createElement("span", { title: this.state.upLoadName }, this.props.btn ? (_.isString(this.props.btn) ? React.createElement(antd_1.Button, { icon: 'upload', loading: this.state.upLoading, type: this.state.upLoadName ? 'primary' : 'default' }, this.props.btn) : this.props.btn) :
                React.createElement(antd_1.Button, { icon: 'upload', loading: this.state.upLoading, type: this.state.upLoadName ? 'primary' : 'default' }, strRender(this.state.upLoadName) || '上传')));
    };
    return TransfileUpload;
}(React.PureComponent));
exports.default = TransfileUpload;
