import { Tree } from 'antd';
import * as React from 'react';
import { DynamicTreeOpts } from './interface';
/**
 * 说明：要想编辑动态树，提供的接口必须满足 VAP 接口规范，不满足规范的接口暂不支持。
 *
 */
export default class extends React.PureComponent<DynamicTreeOpts> {
    keyField: string;
    nameField: string;
    iconField: any;
    parentField: string;
    tree: Tree;
    childSuffix: string;
    parentCode: string;
    state: {
        loading: boolean;
        treeData: any[];
        selectedKeys: any[];
    };
    componentDidMount(): Promise<void>;
    renderTreeNodes: (data: any, parent?: any) => any;
    renderTreeTjgNodes: (data: any, parent?: any) => any;
    renderParentNodes: (data: any, parent?: any) => any;
    private onSelect;
    clearSelect(): void;
    render(): JSX.Element;
}
