/// <reference types="react" />
export default interface ScrollProps {
    /**
     * 样式
     */
    style?: React.CSSProperties;
    /**
     * 是否固定，默认false
     */
    fixed?: boolean;
    /**
     * 是否移除后自动消失
     */
    autohide?: boolean;
    /**
     * 位置，默认'top left'
     */
    start?: string;
}
