/// <reference types="react" />
export interface ActionBarProps<T> {
    /**
     * 图标type
    */
    type: string;
    /**
     * 文字提示
    */
    title: string;
    /**
     * 自定义样式
    */
    style?: React.CSSProperties;
    /**
     * 点击回调
    */
    onClick?: Function;
}
