/// <reference types="react" />
/**
 * 仅VAP平台适合，其它组件使用必须使用 dva-loading 插件，并注册为 _loading
*/
export interface LoadingProps {
    /**
     * 当 boolean 时则以设置的值
     * 当 string 时，则以dva-loading组件里面的 effect 进行判断
     */
    effect: string | boolean;
    /**
     * 如果设置了此项，则自动设为上边距，并居中显示
     * 否则则显示成一行
     */
    centerTop?: number;
    /**
     * 设置content 则显示content,不设置则显示 children
     */
    content?: React.ReactNode;
}
