import * as React from 'react';
import { TreePanelOpts, TreeData } from './interface';
export default abstract class extends React.PureComponent<TreePanelOpts> {
    abstract filter: (key: string) => void;
    abstract delNode: (key: string | number) => void;
    abstract addNode: (item: TreeData) => void;
    abstract updateNode: (item: TreeData) => void;
    abstract getCurrent: () => TreeData;
}
