"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var StaticTree_1 = require("./StaticTree");
var DynamicTree_1 = require("./DynamicTree");
var _TreeContents_1 = require("./_TreeContents");
var antd_1 = require("antd");
var React = require("react");
var default_1 = /** @class */ (function (_super) {
    __extends(default_1, _super);
    function default_1() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.tree = null;
        _this.getCurrent = function () {
            return _this.tree.getCurrent();
        };
        _this.addNode = function (item) {
            _this.tree.addNode(item);
        };
        _this.delNode = function (key) {
            _this.tree.delNode(key);
        };
        _this.updateNode = function (item) {
            _this.tree.updateNode(item);
        };
        _this.filter = function (key) {
            _this.tree.filter(key);
        };
        return _this;
    }
    default_1.prototype.render = function () {
        var _this = this;
        //如果有expand方法，就使用动树
        return React.createElement(antd_1.Card, { title: this.props.title }, this.props.loadData ? React.createElement(DynamicTree_1.default, __assign({}, this.props, { ref: function (tree) { return _this.tree = tree; } })) : React.createElement(StaticTree_1.default, __assign({}, this.props, { ref: function (tree) { return _this.tree = tree; } })));
    };
    return default_1;
}(_TreeContents_1.default));
exports.default = default_1;
