/// <reference types="react" />
export interface ImportExcelProps<T> {
    /**
     * 接口地址contorll层前缀
    */
    prefix: string;
    /**
     * 是否显示
    */
    show: boolean;
    /**
     * 确定按钮回调
    */
    onOk?: Function;
    /**
     * 取消按钮回调
    */
    onCancel: Function;
    /**
     * 提示语句内容
    */
    alertMessage?: React.ReactNode;
}
