import * as React from 'react';
import { DraggerProps } from './type';
export declare class Dragger extends React.Component<DraggerProps, {}> {
    parent: any;
    self: any;
    Ref: any;
    mQue: number;
    _ismounted: Boolean;
    constructor(props: DraggerProps);
    /**
     * 初始变量设置
     */
    static defaultProps: {
        allowX: boolean;
        allowY: boolean;
        isUserMove: boolean;
    };
    state: {
        /** x轴位移，单位是px */
        x: number;
        /** y轴位移，单位是px */
        y: number;
        /**鼠标点击元素的原始位置，单位是px */
        originX: number;
        originY: number;
        isUserMove: boolean;
        /**已经移动的位移，单位是px */
        lastX: number;
        lastY: number;
        /**堆叠的层级 */
        zIndex: number;
        w: number;
        h: number;
        lastW: number;
        lastH: number;
    };
    move: (event: any) => void;
    onDragStart: (event: any) => void;
    onDragEnd: (event: any) => void;
    onResizeStart: (event: React.MouseEvent<HTMLSpanElement>) => void;
    onResizing: (event: any) => void;
    onResizeEnd: (event: any) => void;
    componentDidMount(): void;
    componentWillUnmount(): void;
    componentWillReceiveProps(nextProps: DraggerProps): void;
    movePerFrame: (delt: number) => void;
    mixin: () => {
        dragMix: {
            onMouseDown: (event: any) => void;
            onTouchStart: (event: any) => void;
            onTouchEnd: (event: any) => void;
            onMouseUp: (event: any) => void;
        };
        resizeMix: {
            onMouseDown: (event: React.MouseEvent<HTMLSpanElement>) => void;
            onMouseUp: (event: any) => void;
        };
    };
    render(): any;
}
