"use strict";
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.correctLayout = exports.correctItem = exports.checkInContainer = void 0;
var collison_1 = require("./collison");
var checkInContainer = function (GridX, GridY, col, w) {
    /**防止元素出container */
    if (GridX + w > col - 1)
        GridX = col - w; //右边界
    if (GridX < 0)
        GridX = 0; //左边界
    if (GridY < 0)
        GridY = 0; //上边界
    return { GridX: GridX, GridY: GridY };
};
exports.checkInContainer = checkInContainer;
/**
 * 这个函数会有副作用，不是纯函数，会改变item的Gridx和GridY
 * @param {*} item
 */
var correctItem = function (item, col) {
    var _a = (0, exports.checkInContainer)(item.GridX, item.GridY, col, item.w), GridX = _a.GridX, GridY = _a.GridY;
    item.GridX = GridX;
    item.GridY = GridY;
};
exports.correctItem = correctItem;
var correctLayout = function (layout, col) {
    var copy = __spreadArray([], __read(layout), false);
    for (var i = 0; i < layout.length - 1; i++) {
        (0, exports.correctItem)(copy[i], col);
        (0, exports.correctItem)(copy[i + 1], col);
        if ((0, collison_1.collision)(copy[i], copy[i + 1])) {
            copy = (0, collison_1.layoutCheck)(copy, copy[i], copy[i].UniqueKey + '', copy[i].UniqueKey + '', 0);
        }
    }
    return copy;
};
exports.correctLayout = correctLayout;
