export declare const int: (number: string | null) => number;
export declare const innerWidth: (node: HTMLElement) => number;
export declare const outerWidth: (node: HTMLElement) => number;
export declare const innerHeight: (node: HTMLElement) => number;
export declare const outerHeight: (node: HTMLElement) => number;
export interface Bound {
    left: number;
    top: number;
    right: number;
    bottom: number;
}
export declare const parseBounds: (bounds: Bound) => {
    left: number;
    top: number;
    right: number;
    bottom: number;
};
export declare const isNumber: (things: any) => boolean;
export declare const getDataSet: (children: any[]) => any[];
export declare const stringJoin: (source: string, join: string) => string;
