/// <reference types="react" />
import { VGridNumber } from './interface';
import { Panel } from './_Panel';
/**
 * Grid 系列：
 * 1. GridNumber : 展示一个数字
 * 1. GridNumbers : 展示多个数字
 * 2. BannerGrid : 展示一幅Banner
 * 3. ChartGrid : 展示一个Chart (通常用于比较小的，嵌入式，比较大的使用 Col)
 *
*/
declare class NumberGrid extends Panel<VGridNumber> {
    renderContent(): any[] | JSX.Element;
    render(): JSX.Element;
}
export declare const VNumberGrid: typeof NumberGrid;
export {};
