export declare const base64: (str: string) => any;
/**
 * 说明 ：
 * 1. Base65 为内部研发，支持时间验证与密码加盐，盐支持0-5的数字，默认为3，需要后端同步修改
 * 2. base65 加密没有太的安全性，主要用于某些扫描软件报错，如果强要求安全只能使用非对称RSA加密
 * 3. 需要后端复制一个解决函数进行解密
*/
export declare const base65: (str: string, salt?: number) => string;
