"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ = require("lodash");
var DEFAULT = {
    PAGE_SIZE_DEFAULT: 15,
    PAGE_OPTIONS: ["10", "15", "30"],
    RESULT: { code: 'code', message: 'message', success: '0' },
    VLIST: { list: 'list', total: 'total', totalAcc: 'totalAcc', start: 'start_', count: 'count_', order: 'order_', by: 'by_' },
    VDATA: { data: 'data' },
    DICT_INFO: { api: '/api-common/dictionary', codeField: 'code', valueField: 'codeValue', idField: 'type', parentField: 'parentType' },
    AJAX: { timeout: 30000, beforeSend: null, beforeReceive: null },
    MODAL: { maskClosable: true },
    UFORM: {
        INPUT_SPECIAL_CHARACTER: false,
        INPUT_MAX_LENGTH: 36
    },
    TABLE: {
        IGNORE_KEYWORD: false,
        LAYOUT_REVERSE: false,
        NOT_TRACK: false,
    },
    TIPS: {
        ADD: '',
        ADD_SUCCESS: '',
        ADD_ERROR: '',
        UPDATE: '',
        UPDATE_SUCCESS: '',
        UPDATE_ERROR: '',
        DELETE: '确认删除该数据吗？',
        DELETE_MULTI: '确认删除选中的数据吗？',
        RENDER_TEXT: false,
    },
    PAGINATION: {
        THEME: 1,
        OPTIONS: ["10", "15", "30"],
        SIZE_DEFAULT: 15,
        SIZE_DEFAULT_MODAL: 10,
    },
};
if (!_.has(window, 'VAP_GLOBAL')) {
    window.VAP_GLOBAL = _.clone(DEFAULT);
}
else {
    window.VAP_GLOBAL = _.extend({}, DEFAULT, window.VAP_GLOBAL);
}
