"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (g && (g = 0, op[0] && (_ = 0)), _) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
Object.defineProperty(exports, "__esModule", { value: true });
var antd_1 = require("antd");
var React = require("react");
var _ = require("lodash");
var UPagination_1 = require("../UPagination");
var utils_1 = require("../../utils");
var Ajax_1 = require("../../utils/Ajax");
var SearchBar_1 = require("../Table/SearchBar");
var SearchKeyWord_1 = require("../../_common/Table/SearchKeyWord");
var HighLight_1 = require("../../utils/HighLight");
/***
 * API Table 使用说明
*/
var default_1 = /** @class */ (function (_super) {
    __extends(default_1, _super);
    function default_1(props) {
        var _a;
        var _this = _super.call(this, props) || this;
        _this.rowKey = 'id';
        _this.api = ''; // 查询接口
        _this.columns = []; // 列
        _this.param = (_a = {},
            _a[window.VAP_GLOBAL.VLIST.start] = 0,
            _a[window.VAP_GLOBAL.VLIST.count] = _this.props.pageSize || window.VAP_GLOBAL.PAGINATION.SIZE_DEFAULT,
            _a);
        _this.state = {
            loading: false,
            list: [],
            total: 0,
            pageSize: _this.props.pageSize || window.VAP_GLOBAL.PAGINATION.SIZE_DEFAULT,
            current: 1,
            totalAcc: 0,
            selectedRowKeys: [],
            selectObjects: [],
        };
        _this.cleanAndQuery = function (param) {
            _this.setState({ list: [], total: 0, current: 1 });
            _this.query(param);
        };
        _this.query = function (param) {
            _this.param = _.assign({}, _this.props.default, param, { start_: 0, count_: _this.state.pageSize });
            _this.param = (0, Ajax_1.cleanParam)(_this.param);
            if (_this.props.beforeSearch) {
                var query = _this.props.beforeSearch(_this.param);
                if (query === null || query === false) {
                    return;
                }
                else {
                    _this.param = _.assign({}, query);
                }
            }
            _this._query();
        };
        _this.clear = function () { return _this.setState({ list: [], total: 0, current: 1, loading: false, }); };
        _this.add = function (data) {
            if (!_.isPlainObject(data)) {
                return false;
            }
            var list = utils_1.Model.add(_this.state.list, data, _this.rowKey);
            _this.setState({ list: list, total: _this.state.total + 1 });
            return true;
        };
        _this.update = function (data) {
            if (!_.isPlainObject(data)) {
                return false;
            }
            var list = utils_1.Model.update(_this.state.list, data, _this.rowKey);
            _this.setState({ list: list, });
            return true;
        };
        _this.remove = function (data) {
            var ids = [];
            var pushOne = function (item) {
                if (_.isString(data) || _.isNumber(data)) {
                    if (data) {
                        ids.push(data);
                    }
                }
                else if (_.isPlainObject(data)) {
                    if (data[_this.rowKey]) {
                        ids.push(data[_this.rowKey]);
                    }
                }
            };
            if (_.isArray(data)) {
                _.map(data, function (item) { return pushOne(item); });
            }
            else {
                pushOne(data);
            }
            if (ids.length == 0) {
                return false;
            }
            var list = utils_1.Model.del(_this.state.list, ids, _this.rowKey);
            _this.setState({ list: list, total: _this.state.total - ids.length });
            // 还要把 selectKey 去掉
            return true;
        };
        _this.api = _this.props.query;
        _this.rowKey = _this.props.rowKey || 'id';
        _this.setColumn();
        return _this;
    }
    default_1.prototype.setColumn = function () {
        var _this = this;
        if (_.has(this.props, 'keyword.highlight')) {
            //@ts-ignore
            var highlight = this.props.keyword.highlight;
            var keys_1 = new Set();
            highlight.map(function (item) { return keys_1.add(item); });
            this.props.columns.map(function (item) {
                if (keys_1.has(item.dataIndex) && (item.render == null || item.render == undefined)) {
                    item.render = function (text) {
                        return (0, HighLight_1.highLight)(text, _this.param.keyword_);
                    };
                }
            });
        }
        this.columns = _.concat([], _.filter(this.props.columns, function (item) { return item.show === undefined || item.show == true; }));
        if (this.props.showIndex !== false) {
            if (this.props.showIndex === undefined) {
                var _indexItem = {
                    title: React.createElement("span", null, "\u5E8F\u53F7"),
                    className: '_index',
                    render: function (d, j, i) { return i + (_this.state.current - 1) * _this.state.pageSize + 1; }
                };
                this.columns.unshift(_indexItem);
            }
            else if (_.isString(this.props.showIndex)) {
                var _indexItem = {
                    // title: <span>{this.props.showIndex}</span>,
                    title: React.createElement("span", null, this.props.showIndex),
                    // title: ,
                    className: '_index',
                    render: function (d, j, i) { return i + (_this.state.current - 1) * _this.state.pageSize + 1; }
                };
                this.columns.unshift(_indexItem);
            }
        }
        this.setState({ ___time: _.now() });
    };
    default_1.prototype.componentDidMount = function () {
        _.assign(this.param, this.props.default);
        if (this.props.autoLoad === false) {
            return;
        }
        this.query({});
    };
    default_1.prototype.componentDidUpdate = function (old) {
        // @ts-ignore
        if (this.props.modalMode) {
            return;
        }
        if (old.columns != this.props.columns) {
            this.setColumn();
        }
        if (old.query != this.props.query || !_.isEqual(old.default, this.props.default)) {
            this.api = this.props.query;
            this.param = _.assign({ start_: 0, count_: this.state.pageSize, }, this.props.default);
            if (this.props.autoLoad === false) {
                return;
            }
            this.query({});
        }
    };
    default_1.prototype._query = function () {
        return __awaiter(this, void 0, void 0, function () {
            var VLIST, current, json, list, total, totalAcc;
            var _this = this;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        VLIST = window.VAP_GLOBAL.VLIST;
                        this.setState({ loading: true });
                        current = this.param[VLIST.start] === 0 ? 1 : this.state.current;
                        if (this.props.maxCount && (this.props.maxCount - this.param[VLIST.start] < this.param[VLIST.count])) {
                            this.param[VLIST.count] = this.props.maxCount - this.param[VLIST.start];
                        }
                        return [4 /*yield*/, utils_1.Ajax.POST(this.api, this.param)];
                    case 1:
                        json = _a.sent();
                        list = json.list || json.data || [];
                        total = (json.total && ((json.total > this.props.maxCount) ? this.props.maxCount : json.total)) || list.length || 0;
                        totalAcc = undefined;
                        if (this.props.onQuery)
                            this.props.onQuery(list, total, totalAcc);
                        if (this.props.hasTotalAcc) {
                            if (_.has(json, 'totalAcc'))
                                totalAcc = json.totalAcc;
                            else
                                console.error('返回缺少totalAcc字段!');
                        }
                        this.setState({ current: current, list: list, total: total, totalAcc: totalAcc, loading: false, selectedRowKeys: [], selectObjects: [] }, function () {
                            if (_.isFunction(_this.props.onSelectedChange)) {
                                _this.props.onSelectedChange([], []);
                            }
                        });
                        return [2 /*return*/];
                }
            });
        });
    };
    default_1.prototype.renderSearchBar = function () {
        var _this = this;
        if (!_.has(this.props, 'searchBar')) {
            return React.createElement(React.Fragment, null);
        }
        var _a = this.state, selectedRowKeys = _a.selectedRowKeys, selectObjects = _a.selectObjects;
        var param = __assign(__assign({}, this.props.searchBar), { onSearch: function (param) { return _this.query(param); }, default: this.props.default, param: this.param, onChange: function (param) { return _.extend(_this.param, param); }, 
            // @ts-ignore
            modalMode: this.props.modalMode });
        if (_.has(this.props, 'keyword')) {
            return React.createElement(SearchKeyWord_1.default, __assign({ keyword: this.props.keyword, onSearch: function (param) {
                    if (param.keyword_ && _.trim(param.keyword_).length > 0) {
                        _this.query(_.assign({}, param, _this.props.default));
                    }
                    else {
                        _this.query(param);
                    }
                }, default: this.props.default }, this.props.searchBar, { selectedRowKeys: selectedRowKeys, selectObjects: this.state.selectObjects, param: this.param }));
        }
        return React.createElement(SearchBar_1.default, __assign({}, param));
    };
    default_1.prototype.renderTable = function () {
        var _this = this;
        var param = {};
        if (_.isFunction(this.props.onSelectedChange)) {
            var _a = this.state, selectedRowKeys = _a.selectedRowKeys, selectObjects = _a.selectObjects;
            param.rowSelection = {
                type: 'checkbox',
                selectedRowKeys: selectedRowKeys,
                onChange: function (selectedRowKeys, selectObjects) { return _this.setState({ selectedRowKeys: selectedRowKeys, selectObjects: selectObjects }, function () { return _this.props.onSelectedChange(selectedRowKeys, selectObjects); }); },
            };
        }
        return React.createElement(antd_1.Table, __assign({}, this.props, param, { rowKey: this.rowKey, dataSource: this.state.list, onChange: function (pagination, filters, sorter) { return _this.sort(sorter); }, size: "small", columns: this.columns, loading: this.state.loading, rowClassName: function (item) { return _.has(item, '__EFFECT') ? 'row-high-' + item['__EFFECT'] : ''; }, pagination: false, locale: { emptyText: React.createElement(antd_1.Empty, null) } }));
    };
    default_1.prototype.toPage = function (current, pageSize) {
        var _this = this;
        var VLIST = window.VAP_GLOBAL.VLIST;
        this.param[VLIST.start] = (current - 1) * pageSize;
        this.param[VLIST.count] = pageSize;
        this.setState({ current: current, pageSize: pageSize }, function () { return _this._query(); });
    };
    default_1.prototype.sort = function (sorter) {
        var _this = this;
        var VLIST = window.VAP_GLOBAL.VLIST;
        this.param[VLIST.start] = 0;
        if (_.has(sorter, 'order')) {
            this.param[VLIST.order] = sorter.field;
            // @ts-ignore
            this.param[VLIST.by] = (sorter.order == 'ascend' ? 'asc' : 'desc');
        }
        else {
            this.param[VLIST.order] = null;
            this.param[VLIST.by] = null;
        }
        this.setState({ current: 1 }, function () { return _this._query(); });
    };
    default_1.prototype.renderPagination = function () {
        var _this = this;
        var OPTIONS = window.VAP_GLOBAL.PAGINATION.OPTIONS;
        var _a = this.state, total = _a.total, list = _a.list, totalAcc = _a.totalAcc;
        return React.createElement(UPagination_1.default, { onChange: function (page, pageSize) { return _this.toPage(page, pageSize); }, onShowSizeChange: function (page, pageSize) { return _this.toPage(page, pageSize); }, current: this.state.current, total: total, totalAcc: totalAcc, pageSize: this.state.pageSize, pageSizeOptions: OPTIONS });
    };
    default_1.prototype.render = function () {
        var className = ["vap-table"];
        // @ts-ignore
        if (this.props.modalMode) {
            className.push('vap-table-inner');
        }
        if (this.props.className) {
            className.push(this.props.className);
        }
        return React.createElement(antd_1.Layout, { className: className.join(' ') },
            this.renderSearchBar(),
            React.createElement(antd_1.Layout, null,
                React.createElement(antd_1.Layout.Content, { className: "vap-table-content" }, this.renderTable()),
                (this.props.pagination === false || this.props.pagination === null) ? [] : React.createElement(antd_1.Layout.Footer, { className: "vap-table-footer" }, this.renderPagination())));
    };
    return default_1;
}(React.PureComponent));
exports.default = default_1;
