import * as React from 'react';
import ApiTable from '../ApiTable';
import { TableModalProps, ShowTableStaticProps } from './interface';
/***
 * ApiTableModal 使用说明
 *
 * ApiTableModal  =  ApiTable + Modal
 *
 * 关于ApiTable 的使用说明请参考 ApiTable
 *
 * 使用方式 1：
 * ```
 * <ApiTableModal ...param />
 * ```
 *
 * 使用方式 2:
 * <XXX onClick={item=>ApiTableModal.show({xxxxxx})}/>
 *
 *
*/
export default class extends React.PureComponent<TableModalProps> {
    static SHOW: (config: ShowTableStaticProps) => void;
    lastShow: boolean;
    table: ApiTable;
    state: {
        ids: any[];
        objs: any[];
    };
    _isReShow(old: any): boolean;
    _isShutDown(old: any): boolean;
    componentDidUpdate(old: any): void;
    render(): JSX.Element;
}
