import { ModalProps } from 'antd/lib/modal/Modal';
export interface BaseModalProps extends ModalProps {
    /**
     * 是否显示,需要自行在 visable 实现
    */
    show: boolean;
    /**
     * 是否编辑模式
    */
    isEdit?: boolean;
    /**
     * 打开窗口时的对象信息
    */
    data?: any;
    /**
     * 全局事件发送器
    */
    dispatch?: any;
    /**
     * 自定义属性
    */
    [propName: string]: any;
}
/**
 * 新 Base Modal
*/
export interface BaseModalProps2 extends ModalProps {
    /**
     * 是否显示必传
    */
    visible: boolean;
    /**
     * 自定义属性
    */
    [propName: string]: any;
}
