"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
Object.defineProperty(exports, "__esModule", { value: true });
var moment = require("moment");
var React = require("react");
var antd_1 = require("antd");
var DEFAULT_TODAY_START = moment().hours(0).milliseconds(0).minutes(0).seconds(0);
var DEFAULT_TODAY_END = moment().hours(23).milliseconds(999).minutes(59).seconds(59);
var default_1 = /** @class */ (function (_super) {
    __extends(default_1, _super);
    function default_1() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.state = {
            showTime: false,
            start_input: 'YYYY-MM-DD',
            start_format: 'YYYY-MM-DD 00:00:00',
            end_input: 'YYYY-MM-DD',
            end_format: 'YYYY-MM-DD 23:59:59',
        };
        return _this;
    }
    default_1.prototype.componentDidMount = function () {
        if (this.props.showTime) {
            this.setState({
                showTime: true,
                start_input: 'YYYY-MM-DD HH:mm:ss',
                start_format: 'YYYY-MM-DD HH:mm:ss',
                end_input: 'YYYY-MM-DD HH:mm:ss',
                end_format: 'YYYY-MM-DD HH:mm:ss',
            });
        }
    };
    default_1.prototype.render = function () {
        var _a;
        var _this = this;
        var _b = this.props, start = _b.start, end = _b.end, allowClear = _b.allowClear;
        var _c = this.state, showTime = _c.showTime, start_input = _c.start_input, end_input = _c.end_input;
        var style = { width: this.props.width ? this.props.width : 'auto' };
        var params = { allowClear: allowClear, };
        var startPlaceHoder, endPlaceHoder;
        var placeholder = this.props.placeholder;
        if (placeholder && placeholder.split(',').length == 2) {
            _a = __read(placeholder, 2), startPlaceHoder = _a[0], endPlaceHoder = _a[1];
        }
        else {
            startPlaceHoder = showTime ? '开始时间' : '开始日期';
            endPlaceHoder = showTime ? '结束时间' : '结束日期';
        }
        return React.createElement(antd_1.Input.Group, { compact: true, style: style },
            React.createElement(antd_1.DatePicker, __assign({}, params, { value: start, showTime: showTime, defaultPickerValue: DEFAULT_TODAY_START, disabledDate: function (val) { return end ? (end.diff(val) < 0) : false; }, format: start_input, placeholder: startPlaceHoder, onChange: function (val) { return _this.props.onChange(val, end); }, style: { borderRight: 'none', width: '50%', minWidth: 'unset' } })),
            React.createElement(antd_1.DatePicker, __assign({}, params, { value: end, showTime: showTime, defaultPickerValue: DEFAULT_TODAY_END, disabledDate: function (val) { return start ? (start.diff(val) > 0) : false; }, format: end_input, placeholder: endPlaceHoder, onChange: function (val) { return _this.props.onChange(start, val); }, style: { borderLeft: 'none', width: '50%', minWidth: 'unset' } })));
    };
    return default_1;
}(React.PureComponent));
exports.default = default_1;
