import { ModalProps } from 'antd/lib/modal/Modal';
export default interface DragSortModalProps extends ModalProps {
    /**
     * 传入的数组
     */
    data: any[];
    /**
     * Tag展示模式,默认default为平铺模式
     */
    mode?: 'default' | 'list';
    /**
     * Tag内容
     */
    renderItem: Function;
    /**
     * 设置唯一key,比如当前时间或者data的id
     */
    renderKey: Function;
    /**
     * 排序后的值
     */
    onOk?: any;
}
