/// <reference types="react" />
import { ESTableProps } from '../ESTable/interface';
export interface ShowTableStaticProps extends ESTableProps {
    icon?: string;
    modalTitle?: React.ReactNode;
    /** 宽度 */
    width?: string | number;
    className?: string;
}
export interface TableModalProps extends ShowTableStaticProps {
    visible: boolean;
    onCancel?: (e: React.MouseEvent<HTMLElement>) => void;
}
