import * as React from 'react';
import DynamicTree from '../../_common/VTree/DynamicTree';
interface TreeModalOpts {
    businessLine?: string;
    useRoot?: boolean;
    onSelect: Function;
    required?: boolean;
    orgInfo: {
        code: string;
        name: string;
    };
    onClear?: Function;
    mode?: 'search' | 'default';
    multiple?: boolean;
}
export default class extends React.PureComponent<TreeModalOpts> {
    tree: DynamicTree;
    static GET_NAME: (code: string) => string;
    state: {
        currentNode: any;
        error: boolean;
        show: boolean;
    };
    componentDidMount(): void;
    show(): Promise<void>;
    private onChooseNode;
    clear(): void;
    render(): JSX.Element;
}
export {};
