"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var antd_1 = require("antd");
var React = require("react");
/**
 * 弹出一个对象信息弹框
 * */
var InfoModal = /** @class */ (function (_super) {
    __extends(InfoModal, _super);
    function InfoModal() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    InfoModal.prototype.buildForm = function () {
        var _this = this;
        return this.props.columns.map(function (column) {
            return React.createElement(antd_1.Row, { type: "flex", gutter: 8 },
                React.createElement(antd_1.Col, { span: 8, className: "info-label" }, column.title),
                React.createElement(antd_1.Col, { span: 15, className: "info-value" }, column.render ? column.render(_this.props.data[column.field]) : _this.props.data[column.field]));
        });
    };
    InfoModal.prototype.render = function () {
        var _this = this;
        var modalParam = {};
        return (React.createElement(antd_1.Modal, __assign({}, modalParam, this.props, { onCancel: function (e) { return _this.props.onOk(e); }, footer: React.createElement(antd_1.Button, { onClick: function (e) { return _this.props.onOk(null); }, type: "primary" }, "\u786E\u5B9A") }), this.buildForm()));
    };
    return InfoModal;
}(React.PureComponent));
exports.default = InfoModal;
