import { ModalProps } from 'antd/lib/modal/Modal';
/**
 * 对象字段信息
 *
*/
export interface Column {
    /**
     * 字段标题
    */
    title: string;
    /**
     * 字段的 field
    */
    field: string;
    /**
     * 如果有转换，可以传一个 render
    */
    render?: Function;
}
/**
 * 对象的信息弹框 props
 *
*/
export interface InfoModalProps extends ModalProps {
    /**
     * 对象信息
    */
    data: any;
    /**
     * 对象字段列表
    */
    columns: Column[];
}
