"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var antd_1 = require("antd");
var VModal_1 = require("../rewrites/VModal");
var _ = require("lodash");
var ListSelect_1 = require("./ListSelect");
var zh_ch = window.antd.locales.zh_CN;
var default_1 = /** @class */ (function (_super) {
    __extends(default_1, _super);
    function default_1() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    default_1.prototype.render = function () {
        var _this = this;
        var modalParam = {
            visible: this.props.visible,
            footer: null,
            width: this.props.width || 880,
            title: null,
        };
        if (this.props.title) {
            modalParam.title = this.props.title;
        }
        var tableParam = _.extend({}, this.props, { modalMode: true });
        _.unset(tableParam, 'title');
        _.unset(tableParam, 'visible');
        _.unset(tableParam, 'className');
        _.unset(tableParam, 'onCancel');
        _.unset(tableParam, 'width');
        return React.createElement(VModal_1.Modal, __assign({}, modalParam, { className: "_list_modal vap-table vap-table-inner", bodyStyle: { padding: 0 }, destroyOnClose: true }), this.props.visible && React.createElement(ListSelect_1.ListSelect, __assign({}, tableParam, { onSelect: function (ids, objs, label) { return _this.props.onSelect({ ids: ids, objs: objs, label: label }); } })));
    };
    default_1.SHOW = function (config) {
        var title = [];
        if (config.title) {
            title.push(config.title);
        }
        var tableParam = _.extend({}, config);
        _.unset(tableParam, 'title');
        _.unset(tableParam, 'visible');
        _.unset(tableParam, 'className');
        _.unset(tableParam, 'onCancel');
        _.unset(tableParam, 'width');
        VModal_1.Modal.info({
            maskClosable: true,
            width: config.width || 880,
            icon: null,
            className: config.className ? '_list_modal vap-table vap-table-inner ' + config.className : '_list_modal vap-table vap-table-inner',
            title: React.createElement("div", null,
                title,
                " ",
                React.createElement("span", { style: { cursor: 'pointer', float: 'right', paddingRight: 12, color: '#999999' }, onClick: function () { return VModal_1.Modal.destroyAll(); } },
                    React.createElement(antd_1.Icon, { type: "close" }))),
            content: React.createElement(antd_1.ConfigProvider, { locale: zh_ch },
                React.createElement(ListSelect_1.ListSelect, __assign({}, tableParam, { onSelect: function (ids, objs, label) { VModal_1.Modal.destroyAll(); config.onSelect(ids, objs, label); } })))
        });
    };
    return default_1;
}(React.PureComponent));
exports.default = default_1;
