"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RootBox = void 0;
var React = require("react");
var RootBox = /** @class */ (function (_super) {
    __extends(RootBox, _super);
    function RootBox() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    RootBox.prototype.render = function () {
        // TODO : 替代 VHeader
        var clazz = ['root-box'];
        if (this.props.fixed) {
            clazz.push('root-box-fixed');
        }
        else if (this.props.header) {
            clazz.push('root-box-header');
        }
        if (this.props.className) {
            clazz.push(this.props.className);
        }
        var param = { className: clazz.join(' ') };
        if (this.props.style) {
            param.style = this.props.style;
        }
        return React.createElement("div", __assign({}, param), this.props.children);
    };
    return RootBox;
}(React.PureComponent));
exports.RootBox = RootBox;
