import * as React from 'react';
import TopTable from '../TopTable';
import { TopTableModalProps, ShowTopTableStaticProps } from './interface';
/**
 * TopTableModal 使用说明
 *
 * TopTableModal  =  TopTable + Modal
 *
 * 关于TopTable 的使用说明请参考 TopTable
 *
 * 使用方式 1：
 * ```
 * <ApiTableModal ...param />
 * ```
 *
 * 使用方式 2:
 * <XXX onClick={item=>ApiTableModal.show({xxxxxx})}/>
 *
 *
 *
*/
export default class extends React.PureComponent<TopTableModalProps> {
    static SHOW: (config: ShowTopTableStaticProps) => void;
    table: TopTable;
    _isReShow(old: any): boolean;
    _isShutDown(old: any): boolean;
    render(): JSX.Element;
}
