import * as React from 'react';
import { UFromProps, UFormInputProps, ComponentOptions, InfoFunction, UFormField } from './interface';
import type { ValidationRule } from 'antd/lib/form/Form';
type FormLayout = {
    isGroup: boolean;
    width: number;
    cols: number;
};
export declare const getFormLayout: (props: UFromProps) => FormLayout;
export type InputComponent = {
    element: React.ClassType<UFormInputProps, any, any>;
    breakCol: boolean;
    breakTitle: boolean;
    breakDes: boolean;
    show: InfoFunction;
    rule?: ValidationRule[] | ((field: UFormField) => ValidationRule[]);
};
export declare const registerInputType: (type: string, element: React.ClassType<UFormInputProps, any, any>, options?: ComponentOptions) => void;
export declare const getInputComponent: (type: string) => InputComponent;
export {};
