"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var antd_1 = require("antd");
var zh_CN_1 = require("antd/es/locale/zh_CN");
var default_1 = /** @class */ (function (_super) {
    __extends(default_1, _super);
    function default_1() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    default_1.prototype.getConfig = function () {
        var _this = this;
        var _a = window.VAP_GLOBAL.PAGINATION, THEME = _a.THEME, OPTIONS = _a.OPTIONS, SIZE_DEFAULT = _a.SIZE_DEFAULT;
        var conf = {
            pageSize: SIZE_DEFAULT,
            pageSizeOptions: OPTIONS,
            showQuickJumper: true,
            showSizeChanger: true,
            hideOnSinglePage: false,
            size: 'small',
        };
        switch (THEME) {
            case 1:
            case 2:
            case 3:
            default:
                conf.showTotal = function (total, range) {
                    return React.createElement("span", { className: "upagination-info vap-talbe-pagination-info" },
                        "\u5171 ",
                        React.createElement("b", null, _this.props.totalAcc || total),
                        " \u6761",
                        React.createElement("span", { className: "upagination-range vap-talbe-pagination-info" },
                            "(",
                            range[0],
                            " - ",
                            range[1],
                            ")"));
                };
                break;
        }
        return conf;
    };
    default_1.prototype.render = function () {
        var className = ['upagination', 'vap-table-pagination', 'upagination-style' + (this.props.mode || window.VAP_GLOBAL.PAGINATION.THEME || 1)];
        var conf = this.getConfig();
        if (this.props.className) {
            className.push(this.props.className);
        }
        return React.createElement(antd_1.ConfigProvider, { locale: zh_CN_1.default },
            React.createElement(antd_1.Pagination, __assign({}, conf, this.props, { className: className.join(' ') })));
    };
    return default_1;
}(React.PureComponent));
exports.default = default_1;
