"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (g && (g = 0, op[0] && (_ = 0)), _) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ActionTree = void 0;
var React = require("react");
var _ = require("lodash");
var antd_1 = require("antd");
var UFormModal_1 = require("../UForm/UFormModal");
var utils_1 = require("../../utils");
var _Utils_1 = require("./_Utils");
var BaseTree_1 = require("./BaseTree");
var HighLight_1 = require("../../utils/HighLight");
var ActionTree = /** @class */ (function (_super) {
    __extends(ActionTree, _super);
    function ActionTree(props) {
        var _this = _super.call(this, props) || this;
        _this.actions = { notCache: false, api: null, canSort: false, canAdd: false, canDelete: false, };
        _this.state = __assign(__assign({}, BaseTree_1.DEFAULT_STATE), { editKey: null, editIdx: [], showAdd: false, showEdit: false, editMode: false, editPos: _Utils_1.INSER_POS.BEFORE, editObject: null });
        _this.initAction(props);
        return _this;
    }
    ActionTree.prototype.initAction = function (props) {
        if (this.props.notCache) {
            this.actions.notCache = true;
        }
        if (props.api == null || props.api == '') {
            return;
        }
        this.actions.objectName = props.objectName || '对象';
        this.actions.api = props.api;
        if (props.canAdd) {
            this.actions.canAdd = true;
            if (props.canAddRoot) {
                this.actions.canAddRoot = true;
            }
        }
        if (props.canDelete) {
            this.actions.canDelete = true;
        }
        if (props.canUpdate) {
            this.actions.canUpdate = true;
        }
        if (props.canSort) {
            this.actions.canSort = true;
        }
    };
    ActionTree.prototype.addRoot = function (data) {
        return __awaiter(this, void 0, void 0, function () {
            var _a, _b, editKey, editPos, tree, api, _c, sortField, parentField, rootCode, sort, param, result, treeData;
            var _d;
            return __generator(this, function (_e) {
                switch (_e.label) {
                    case 0:
                        _a = this, _b = _a.state, editKey = _b.editKey, editPos = _b.editPos, tree = _b.tree, api = _a.actions.api, _c = _a.fields, sortField = _c.sortField, parentField = _c.parentField, rootCode = _c.rootCode;
                        sort = 0;
                        if (tree.length) {
                            if (editPos == _Utils_1.INSER_POS.BEFORE) {
                                sort = tree[0][sortField] - _Utils_1.STEP;
                            }
                            else {
                                sort = tree[tree.length - 1][sortField] + _Utils_1.STEP;
                            }
                        }
                        param = __assign(__assign({}, data), (_d = {}, _d[parentField] = editKey, _d.sort = sort, _d));
                        return [4 /*yield*/, utils_1.Ajax.PUT(api, param)];
                    case 1:
                        result = _e.sent();
                        if (result.code != '0') {
                            antd_1.message.error("\u6DFB\u52A0".concat(this.actions.objectName, "\u5931\u8D25"));
                            return [2 /*return*/];
                        }
                        this.clearCache(rootCode);
                        treeData = utils_1.Model.add(tree, result.data);
                        this.setState({ tree: _.orderBy(treeData, sortField, 'asc'), showAdd: false });
                        return [2 /*return*/];
                }
            });
        });
    };
    ActionTree.prototype.addInner = function (data, root) {
        return __awaiter(this, void 0, void 0, function () {
            var _a, _b, editKey, tree, _c, api, objectName, canSort, _d, parentField, titleField, sortField, nodePath, rootPath, treeData, arr, param, sort, resp;
            var _e;
            return __generator(this, function (_f) {
                switch (_f.label) {
                    case 0:
                        _a = this, _b = _a.state, editKey = _b.editKey, tree = _b.tree, _c = _a.actions, api = _c.api, objectName = _c.objectName, canSort = _c.canSort, _d = _a.fields, parentField = _d.parentField, titleField = _d.titleField, sortField = _d.sortField;
                        nodePath = root.map(function (i) { return "[".concat(i, "]"); }).join('.children');
                        rootPath = nodePath + '.children';
                        treeData = _.concat([], tree);
                        arr = (_.get(treeData, rootPath)) || [];
                        param = __assign(__assign({}, data), (_e = {}, _e[parentField] = editKey, _e));
                        if (!canSort) return [3 /*break*/, 3];
                        sort = _Utils_1.STEP;
                        if (!(arr == null)) return [3 /*break*/, 2];
                        return [4 /*yield*/, this.getChildren(editKey)];
                    case 1:
                        arr = _f.sent();
                        _f.label = 2;
                    case 2:
                        if (arr && arr.length) {
                            sort = arr[arr.length - 1][sortField] + _Utils_1.STEP;
                        }
                        param[sortField] = sort;
                        _f.label = 3;
                    case 3: return [4 /*yield*/, utils_1.Ajax.PUT(api, param)];
                    case 4:
                        resp = _f.sent();
                        if (resp.code != '0') {
                            antd_1.message.error("".concat(objectName, "\u6DFB\u52A0\u5931\u8D25  \uFF1A ").concat(resp.message));
                            return [2 /*return*/];
                        }
                        antd_1.message.success("".concat(objectName, "\u6DFB\u52A0\u6210\u529F  \uFF1A ").concat(data[titleField]));
                        arr.push(resp.data);
                        this.clearCache(editKey);
                        _.set(treeData, rootPath, arr);
                        this.setState({ tree: treeData, showAdd: false });
                        return [2 /*return*/];
                }
            });
        });
    };
    ActionTree.prototype.add = function (data) {
        return __awaiter(this, void 0, void 0, function () {
            var _a, editKey, editPos, editIdx, tree, rootCode, root, _b, sortField, titleField, parentField, keyField, _c, api, canSort, objectName, treeData, idx, nodePath, arr, obj, promises, needLoop, lastSort, diff, i, item, len, diff, i, item, resps, resp;
            var _d, _e, _f, _g, _h, _j, _k, _l, _m, _o, _p;
            return __generator(this, function (_q) {
                switch (_q.label) {
                    case 0:
                        _a = this.state, editKey = _a.editKey, editPos = _a.editPos, editIdx = _a.editIdx, tree = _a.tree;
                        rootCode = this.fields.rootCode;
                        if (editKey == rootCode) {
                            this.addRoot(data);
                            return [2 /*return*/];
                        }
                        if (editIdx.length <= 0) {
                            return [2 /*return*/];
                        }
                        root = _.concat([], editIdx);
                        if (editPos == _Utils_1.INSER_POS.INNER) {
                            this.addInner(data, root);
                            return [2 /*return*/];
                        }
                        _b = this.fields, sortField = _b.sortField, titleField = _b.titleField, parentField = _b.parentField, keyField = _b.keyField;
                        _c = this.actions, api = _c.api, canSort = _c.canSort, objectName = _c.objectName;
                        treeData = _.concat([], tree);
                        idx = root.pop();
                        if (root.length == 0) {
                            arr = treeData;
                        }
                        else {
                            nodePath = root.map(function (i) { return "[".concat(i, "].children"); }).join('');
                            arr = _.get(treeData, nodePath);
                        }
                        obj = arr[idx];
                        promises = [];
                        needLoop = false;
                        lastSort = _Utils_1.STEP;
                        if (!canSort) {
                            promises.push(utils_1.Ajax.PUT(api, __assign(__assign({}, data), (_d = {}, _d[parentField] = obj[parentField], _d))));
                        }
                        else if (editPos == _Utils_1.INSER_POS.BEFORE) {
                            try {
                                lastSort = parseInt(obj[sortField]);
                            }
                            catch (_r) {
                            }
                            if (idx == 0) {
                                promises.push(utils_1.Ajax.PUT(api, __assign(__assign({}, data), (_e = {}, _e[sortField] = lastSort - _Utils_1.STEP, _e[parentField] = obj[parentField], _e))));
                            }
                            else {
                                diff = Math.floor((lastSort - arr[idx - 1][sortField]) / 2);
                                if (diff > 0) {
                                    promises.push(utils_1.Ajax.PUT(api, __assign(__assign({}, data), (_f = {}, _f[sortField] = lastSort - diff, _f[parentField] = obj[parentField], _f))));
                                }
                                else {
                                    promises.push(utils_1.Ajax.PUT(api, __assign(__assign({}, data), (_g = {}, _g[sortField] = lastSort - _Utils_1.STEP, _g[parentField] = obj[parentField], _g))));
                                    needLoop = true;
                                    lastSort = lastSort - _Utils_1.STEP;
                                }
                            }
                            if (needLoop) {
                                for (i = idx - 1; i >= 0; i--) {
                                    item = arr[i];
                                    lastSort = lastSort - _Utils_1.STEP;
                                    promises.push(utils_1.Ajax.PATCH(api, (_h = {},
                                        _h[keyField] = item[keyField],
                                        _h[sortField] = lastSort,
                                        _h)));
                                    arr = utils_1.Model.update(arr, __assign(__assign({}, item), (_j = {}, _j[sortField] = lastSort, _j)), keyField);
                                }
                            }
                        }
                        else {
                            try {
                                lastSort = parseInt(obj[sortField]);
                            }
                            catch (_s) {
                            }
                            len = arr.length;
                            if (idx == len - 1) {
                                promises.push(utils_1.Ajax.PUT(api, __assign(__assign({}, data), (_k = {}, _k[sortField] = lastSort + _Utils_1.STEP, _k[parentField] = obj[parentField], _k))));
                            }
                            else {
                                diff = Math.floor((arr[idx + 1][sortField] - lastSort) / 2);
                                if (diff > 0) {
                                    promises.push(utils_1.Ajax.PUT(api, __assign(__assign({}, data), (_l = {}, _l[sortField] = lastSort + diff, _l[parentField] = obj[parentField], _l))));
                                }
                                else {
                                    promises.push(utils_1.Ajax.PUT(api, __assign(__assign({}, data), (_m = {}, _m[sortField] = lastSort + _Utils_1.STEP, _m[parentField] = obj[parentField], _m))));
                                    needLoop = true;
                                    lastSort = lastSort + _Utils_1.STEP;
                                }
                            }
                            if (needLoop) {
                                for (i = idx + 1; i < len; i++) {
                                    item = arr[i];
                                    lastSort = lastSort + _Utils_1.STEP;
                                    promises.push(utils_1.Ajax.PATCH(api, (_o = {},
                                        _o[keyField] = item[keyField],
                                        _o[sortField] = lastSort,
                                        _o)));
                                    arr = utils_1.Model.update(arr, __assign(__assign({}, item), (_p = {}, _p[sortField] = lastSort, _p)), keyField);
                                }
                            }
                        }
                        return [4 /*yield*/, utils_1.Ajax.WHEN.apply(utils_1.Ajax, __spreadArray([], __read(promises), false))];
                    case 1:
                        resps = _q.sent();
                        resp = resps[0];
                        if (resp.code != '0') {
                            antd_1.message.error("".concat(objectName, "\u6DFB\u52A0\u5931\u8D25  \uFF1A ").concat(resp.message));
                            return [2 /*return*/];
                        }
                        antd_1.message.success("".concat(objectName, "\u6DFB\u52A0\u6210\u529F  \uFF1A ").concat(data[titleField]));
                        arr = utils_1.Model.add(arr, resp.data, keyField);
                        if (canSort) {
                            arr = _.orderBy(arr, sortField, 'asc');
                        }
                        if (nodePath) {
                            _.set(treeData, nodePath, arr);
                        }
                        else {
                            treeData = arr;
                        }
                        this.clearCache(obj[keyField]);
                        this.setState({ tree: treeData, showAdd: false });
                        return [2 /*return*/];
                }
            });
        });
    };
    ActionTree.prototype.updateData = function (data, pos) {
        return __awaiter(this, void 0, void 0, function () {
            var _a, api, objectName, _b, parentField, titleField, tree, root, title, resp, idx, rootPath, nodePath, node, treeData;
            return __generator(this, function (_c) {
                switch (_c.label) {
                    case 0:
                        this.setState({ showEdit: false });
                        _a = this.actions, api = _a.api, objectName = _a.objectName;
                        _b = this.fields, parentField = _b.parentField, titleField = _b.titleField;
                        tree = this.state.tree;
                        root = _.concat([], (_.isArray(pos) && pos.length) ? pos : this.state.editIdx);
                        if (root.length <= 0) {
                            return [2 /*return*/];
                        }
                        title = _.trim(data[titleField]);
                        return [4 /*yield*/, utils_1.Ajax.PATCH(api, data)];
                    case 1:
                        resp = _c.sent();
                        if (resp.code != '0') {
                            antd_1.message.error("".concat(objectName, "\u4FEE\u6539\u5931\u8D25  \uFF1A ").concat(resp.message));
                            return [2 /*return*/];
                        }
                        idx = root.pop();
                        rootPath = '';
                        if (root.length > 0) {
                            nodePath = root.map(function (i) { return "[".concat(i, "]"); }).join('.children');
                            rootPath = nodePath + '.children';
                        }
                        node = _.get(tree, "".concat(rootPath, "[").concat(idx, "]"));
                        this.clearCache(_.get(node, parentField));
                        treeData = _.concat([], tree);
                        _.set(treeData, rootPath + "[".concat(idx, "]"), data);
                        this.setState({ tree: treeData, editMode: false });
                        antd_1.message.success("".concat(objectName, "\u4FEE\u6539\u6210\u529F  \uFF1A ").concat(title));
                        return [2 /*return*/];
                }
            });
        });
    };
    ActionTree.prototype.update = function () {
        return __awaiter(this, void 0, void 0, function () {
            var _a, api, objectName, input, _b, keyField, parentField, titleField, _c, editKey, tree, editIdx, root, title, resp, idx, rootPath, nodePath, node, treeData;
            var _d;
            return __generator(this, function (_e) {
                switch (_e.label) {
                    case 0:
                        _a = this.actions, api = _a.api, objectName = _a.objectName;
                        input = this.refs['edit-title'];
                        if (input.state.value == null || _.trim(input.state.value) == '') {
                            antd_1.message.error('请填写' + objectName);
                            return [2 /*return*/];
                        }
                        _b = this.fields, keyField = _b.keyField, parentField = _b.parentField, titleField = _b.titleField;
                        _c = this.state, editKey = _c.editKey, tree = _c.tree, editIdx = _c.editIdx;
                        root = _.concat([], editIdx);
                        if (root.length <= 0) {
                            return [2 /*return*/];
                        }
                        title = _.trim(input.state.value);
                        return [4 /*yield*/, utils_1.Ajax.PATCH(api, (_d = {}, _d[keyField] = editKey, _d[titleField] = title, _d))];
                    case 1:
                        resp = _e.sent();
                        if (resp.code != '0') {
                            antd_1.message.error("".concat(objectName, "\u4FEE\u6539\u5931\u8D25  \uFF1A ").concat(resp.message));
                            return [2 /*return*/];
                        }
                        idx = root.pop();
                        rootPath = '';
                        if (root.length > 0) {
                            nodePath = root.map(function (i) { return "[".concat(i, "]"); }).join('.children');
                            rootPath = nodePath + '.children';
                        }
                        node = _.get(tree, "".concat(rootPath, "[").concat(idx, "]"));
                        this.clearCache(_.get(node, parentField));
                        treeData = _.concat([], tree);
                        _.set(treeData, rootPath + "[".concat(idx, "].").concat(titleField), title);
                        this.setState({ tree: treeData, editMode: false });
                        antd_1.message.success("".concat(objectName, "\u4FEE\u6539\u6210\u529F  \uFF1A ").concat(title));
                        return [2 /*return*/];
                }
            });
        });
    };
    ;
    ActionTree.prototype.deleteNode = function (node, root) {
        return __awaiter(this, void 0, void 0, function () {
            var rootPath, arr, tree, _a, keyField, parentField, titleField, _b, api, objectName, nodePath, resp, treeData;
            return __generator(this, function (_c) {
                switch (_c.label) {
                    case 0:
                        if (root.length <= 0) {
                            return [2 /*return*/];
                        }
                        root.pop();
                        rootPath = '';
                        tree = this.state.tree;
                        _a = this.fields, keyField = _a.keyField, parentField = _a.parentField, titleField = _a.titleField;
                        _b = this.actions, api = _b.api, objectName = _b.objectName;
                        if (root.length == 0) {
                            arr = _.concat([], tree);
                        }
                        else {
                            nodePath = root.map(function (i) { return "[".concat(i, "]"); }).join('.children');
                            rootPath = nodePath + '.children';
                            arr = _.concat([], _.get(tree, rootPath));
                        }
                        return [4 /*yield*/, utils_1.Ajax.DELETE(api, { ids: node[keyField] })];
                    case 1:
                        resp = _c.sent();
                        if (resp.code != '0') {
                            antd_1.message.error("".concat(objectName, " ").concat(node[titleField], "  \u5220\u9664\u5931\u8D25  \uFF1A ").concat(resp.message));
                            return [2 /*return*/];
                        }
                        this.clearCache(node[parentField]);
                        treeData = _.concat([], tree);
                        if (rootPath) {
                            _.set(treeData, rootPath, utils_1.Model.del(_.get(treeData, rootPath), [node[keyField]], keyField));
                        }
                        else {
                            treeData = utils_1.Model.del(treeData, [node[keyField]], keyField);
                        }
                        this.setState({ tree: treeData });
                        antd_1.message.success("".concat(objectName, " ").concat(node[titleField], " \u5DF2\u5220\u9664"));
                        return [2 /*return*/];
                }
            });
        });
    };
    ;
    ActionTree.prototype.up = function (node, pos) {
        return __awaiter(this, void 0, void 0, function () {
            var root, _a, parentField, keyField, sortField, api, idx, tree, rootPath, arr, nodePath, current, swap, treeData, resp;
            var _b, _c;
            return __generator(this, function (_d) {
                switch (_d.label) {
                    case 0:
                        if (pos.length <= 0) {
                            return [2 /*return*/];
                        }
                        root = _.concat([], pos);
                        _a = this.fields, parentField = _a.parentField, keyField = _a.keyField, sortField = _a.sortField;
                        api = this.actions.api;
                        idx = root.pop();
                        if (idx <= 0) {
                            return [2 /*return*/];
                        }
                        tree = this.state.tree;
                        rootPath = '';
                        if (root.length == 0) {
                            arr = _.concat([], tree);
                        }
                        else {
                            nodePath = root.map(function (i) { return "[".concat(i, "]"); }).join('.children');
                            rootPath = nodePath + '.children';
                            arr = _.concat([], _.get(tree, rootPath));
                        }
                        current = arr[idx][sortField];
                        swap = arr[idx - 1][sortField];
                        arr[idx][sortField] = swap;
                        arr[idx - 1][sortField] = current;
                        treeData = _.concat([], tree);
                        return [4 /*yield*/, utils_1.Ajax.WHEN(utils_1.Ajax.PATCH(api, (_b = {}, _b[keyField] = arr[idx][keyField], _b[sortField] = swap, _b)), utils_1.Ajax.PATCH(api, (_c = {}, _c[keyField] = arr[idx - 1][keyField], _c[sortField] = current, _c)))];
                    case 1:
                        resp = _d.sent();
                        if (resp[0].code != '0' || resp[1].code != '0') {
                            antd_1.message.error('排序失败');
                            return [2 /*return*/];
                        }
                        this.clearCache(node[parentField]);
                        if (rootPath) {
                            _.set(treeData, rootPath, _.orderBy(arr, sortField, 'asc'));
                        }
                        else {
                            treeData = _.orderBy(treeData, sortField, 'asc');
                        }
                        this.setState({ tree: treeData });
                        antd_1.message.success('排序成功');
                        return [2 /*return*/];
                }
            });
        });
    };
    ;
    ActionTree.prototype.down = function (node, pos) {
        return __awaiter(this, void 0, void 0, function () {
            var _a, parentField, keyField, sortField, api, root, idx, rootPath, arr, tree, nodePath, current, swap, treeData, resp;
            var _b, _c;
            return __generator(this, function (_d) {
                switch (_d.label) {
                    case 0:
                        if (pos.length <= 0) {
                            return [2 /*return*/];
                        }
                        _a = this.props, parentField = _a.parentField, keyField = _a.keyField, sortField = _a.sortField, api = _a.api;
                        root = _.concat([], pos);
                        idx = root.pop();
                        rootPath = '';
                        tree = this.state.tree;
                        if (root.length == 0) {
                            arr = _.concat([], tree);
                        }
                        else {
                            nodePath = root.map(function (i) { return "[".concat(i, "]"); }).join('.children');
                            rootPath = nodePath + '.children';
                            arr = _.concat([], _.get(tree, rootPath));
                        }
                        if (idx >= arr.length - 1) {
                            return [2 /*return*/];
                        }
                        current = arr[idx][sortField];
                        swap = arr[idx + 1][sortField];
                        arr[idx][sortField] = swap;
                        arr[idx + 1][sortField] = current;
                        treeData = _.concat([], tree);
                        return [4 /*yield*/, utils_1.Ajax.WHEN(utils_1.Ajax.PATCH(api, (_b = {}, _b[keyField] = arr[idx][keyField], _b[sortField] = swap, _b)), utils_1.Ajax.PATCH(api, (_c = {}, _c[keyField] = arr[idx + 1][keyField], _c[sortField] = current, _c)))];
                    case 1:
                        resp = _d.sent();
                        if (resp[0].code != '0' || resp[1].code != '0') {
                            antd_1.message.error('排序失败');
                            return [2 /*return*/];
                        }
                        this.clearCache(node[parentField]);
                        if (rootPath) {
                            _.set(treeData, rootPath, _.orderBy(arr, sortField, 'asc'));
                        }
                        else {
                            treeData = _.orderBy(treeData, sortField, 'asc');
                        }
                        this.setState({ tree: treeData });
                        antd_1.message.success('排序成功');
                        return [2 /*return*/];
                }
            });
        });
    };
    ;
    ActionTree.prototype.renderTitle = function (node, title, keyword, idx, len, pos) {
        var _this = this;
        var txt = keyword ? (0, HighLight_1.highLight)(title, keyword) : title;
        var _a = this.fields, keyField = _a.keyField, titleField = _a.titleField;
        var _b = this.actions, canSort = _b.canSort, canAdd = _b.canAdd, canDelete = _b.canDelete, canUpdate = _b.canUpdate, canAddRoot = _b.canAddRoot;
        var _c = this.state, editMode = _c.editMode, editKey = _c.editKey;
        if (editMode) {
            if (node[keyField] == editKey) {
                return React.createElement("div", { className: "utree-item", style: { display: 'flex', flexDirection: 'row', justifyContent: 'space-between' } },
                    React.createElement("div", { className: "item-title" },
                        React.createElement(antd_1.Input, { onPressEnter: function () { return _this.update(); }, size: "small", defaultValue: node[titleField], ref: "edit-title" })),
                    React.createElement("div", { className: "item-action" },
                        React.createElement(antd_1.Icon, { type: "check", onClick: function () { return _this.update(); } }),
                        React.createElement(antd_1.Icon, { type: "undo", onClick: function () { return _this.setState({ editMode: false }); } })));
            }
            else {
                return React.createElement("div", { className: "utree-item", style: { display: 'flex', flexDirection: 'row', justifyContent: 'space-between' } },
                    React.createElement("div", { className: "item-title", title: node[titleField] }, node[titleField]),
                    React.createElement("div", { className: "item-action" }));
            }
        }
        var action = [];
        var notRoot = pos.length > 1;
        if (canAdd) {
            if (notRoot || canAddRoot) {
                action.push(React.createElement(antd_1.Dropdown, { overlay: React.createElement(antd_1.Menu, null,
                        canSort && React.createElement(antd_1.Menu.Item, { onClick: function () { return _this.setState({ showAdd: true, editIdx: pos, editPos: _Utils_1.INSER_POS.BEFORE, editKey: node[keyField] }); } },
                            React.createElement(antd_1.Icon, { type: "vertical-align-top" }),
                            " \u5728\u4E0A\u65B9\u63D2\u5165",
                            this.actions.objectName),
                        canSort && React.createElement(antd_1.Menu.Item, { onClick: function () { return _this.setState({ showAdd: true, editIdx: pos, editPos: _Utils_1.INSER_POS.AFTER, editKey: node[keyField] }); } },
                            React.createElement(antd_1.Icon, { type: "vertical-align-bottom" }),
                            " \u5728\u4E0B\u65B9\u63D2\u5165",
                            this.actions.objectName),
                        React.createElement(antd_1.Menu.Item, { onClick: function () {
                                return _this.setState({
                                    showAdd: true,
                                    editIdx: pos,
                                    editPos: _Utils_1.INSER_POS.INNER,
                                    editKey: node[keyField]
                                });
                            } },
                            React.createElement(antd_1.Icon, { type: "enter" }),
                            " \u6DFB\u52A0\u5B50",
                            this.actions.objectName)) },
                    React.createElement(antd_1.Icon, { type: "plus", onClick: function (evt) { evt.preventDefault(); evt.stopPropagation(); } })));
            }
        }
        if (notRoot && canDelete) {
            action.push(React.createElement(antd_1.Popconfirm, { onConfirm: function () { return _this.deleteNode(node, pos); }, title: React.createElement("span", null,
                    "\u786E\u5B9A\u5220\u9664",
                    this.actions.objectName,
                    " : ",
                    React.createElement("b", null, node[titleField]),
                    "\u5417\uFF1F") },
                React.createElement(antd_1.Icon, { onClick: function (evt) { evt.preventDefault(); evt.stopPropagation(); }, type: "delete" })));
        }
        if (canUpdate) {
            action.push(React.createElement(antd_1.Icon, { type: "edit", onClick: function (evt) {
                    evt.preventDefault();
                    evt.stopPropagation();
                    if (_this.props.formFields && _this.props.formFields.length) {
                        _this.setState({ showEdit: true, editObject: node, editIdx: pos, editKey: node[keyField], });
                    }
                    else {
                        _this.setState({ editMode: true, editIdx: pos, editKey: node[keyField], selectedKeys: [node[keyField] + ''] });
                    }
                } }));
        }
        if (canSort && len > 1) {
            if (idx == 0) {
                action.push(React.createElement(antd_1.Icon, { type: "arrow-down", onClick: function (evt) { evt.preventDefault(); evt.stopPropagation(); _this.down(node, pos); } }));
            }
            else if (idx == len - 1) {
                action.push(React.createElement(antd_1.Icon, { type: "arrow-up", onClick: function (evt) { evt.preventDefault(); evt.stopPropagation(); _this.up(node, pos); } }));
            }
            else {
                action.push(React.createElement(antd_1.Icon, { type: "arrow-up", onClick: function (evt) { evt.preventDefault(); evt.stopPropagation(); _this.up(node, pos); } }));
                action.push(React.createElement(antd_1.Icon, { type: "arrow-down", onClick: function (evt) { evt.preventDefault(); evt.stopPropagation(); _this.down(node, pos); } }));
            }
        }
        return React.createElement("div", { className: "utree-item", style: { display: 'flex', flexDirection: 'row', justifyContent: 'space-between' } },
            React.createElement("div", { className: "item-title", title: title }, txt),
            React.createElement("div", { className: "item-action" }, action));
    };
    ActionTree.prototype.renderForm = function () {
        var _this = this;
        var _a = this, titleField = _a.fields.titleField, objectName = _a.actions.objectName, _b = _a.state, showAdd = _b.showAdd, showEdit = _b.showEdit, editObject = _b.editObject;
        return React.createElement(UFormModal_1.UFormModal, { title: showEdit ? '编辑' : '添加' + objectName, visible: showAdd || showEdit, data: showEdit ? editObject : null, onCancel: function () { return _this.setState({ showAdd: false, showEdit: false }); }, onOk: function (data) {
                if (showEdit) {
                    _this.updateData(data);
                }
                else {
                    _this.add(data);
                }
                _this.setState({ showAdd: false, showEdit: false });
            }, fields: this.props.formFields ? this.props.formFields : [
                { field: titleField, title: objectName, rule: [{ required: true, }] },
            ] });
    };
    ActionTree.prototype.renderFixRoot = function (node, pos) {
        var _this = this;
        var _a = this, keyField = _a.fields.keyField, _b = _a.actions, canSort = _b.canSort, objectName = _b.objectName;
        var len = _.isArray(node.children) ? node.children.length : 0;
        if (len > 0) {
            return React.createElement(React.Fragment, null,
                React.createElement(antd_1.Tree.TreeNode, { isLeaf: true, className: 'utree-add-dir', selectable: false, selected: false, checkable: false, title: React.createElement("a", { onClick: function () { return _this.setState({ showAdd: true, editIdx: __spreadArray(__spreadArray([], __read(pos), false), [0], false), editPos: _Utils_1.INSER_POS.BEFORE, editKey: node.children[0][keyField] }); } },
                        React.createElement(antd_1.Icon, { type: 'plus' }),
                        " ",
                        canSort ? '在开始处' : '',
                        "\u6DFB\u52A0",
                        objectName) }),
                this.renderNodes(node.children, pos),
                canSort && React.createElement(antd_1.Tree.TreeNode, { isLeaf: true, className: 'utree-add-dir', selectable: false, selected: false, checkable: false, title: React.createElement("a", { onClick: function () { return _this.setState({ showAdd: true, editIdx: __spreadArray(__spreadArray([], __read(pos), false), [len - 1], false), editPos: _Utils_1.INSER_POS.AFTER, editKey: node.children[len - 1][keyField] }); } },
                        React.createElement(antd_1.Icon, { type: 'plus' }),
                        " \u5728\u7ED3\u5C3E\u5904\u6DFB\u52A0",
                        objectName) }));
        }
        return React.createElement(antd_1.Tree.TreeNode, { isLeaf: true, className: 'utree-add-dir', selectable: false, selected: false, checkable: false, title: React.createElement("a", { onClick: function () { return _this.setState({ showAdd: true, editIdx: pos, editPos: _Utils_1.INSER_POS.INNER, editKey: node[keyField] }); } },
                React.createElement(antd_1.Icon, { type: 'plus' }),
                " \u6DFB\u52A0\u4E00\u4E2A",
                objectName) });
    };
    ActionTree.prototype.renderRoot = function (data) {
        var _this = this;
        if (this.state.keyword) {
            return _super.prototype.renderRoot.call(this, data);
        }
        var _a = this, _b = _a.actions, canSort = _b.canSort, canAdd = _b.canAdd, canAddRoot = _b.canAddRoot, objectName = _b.objectName, _c = _a.fields, rootCode = _c.rootCode, titleField = _c.titleField;
        if (canAddRoot) {
            return React.createElement(React.Fragment, null,
                React.createElement(antd_1.Tree.TreeNode, { isLeaf: true, className: 'utree-add-dir', selectable: false, checkable: false, selected: false, title: React.createElement("a", { onClick: function () { return _this.setState({ showAdd: true, editPos: _Utils_1.INSER_POS.BEFORE, editKey: rootCode }); } },
                        React.createElement(antd_1.Icon, { type: 'plus' }),
                        " ",
                        canSort ? '在开始处' : '',
                        "\u6DFB\u52A0",
                        objectName) }),
                data.map(function (item, idx) { return _this.renderNode(item, [idx], data.length); }),
                canSort && React.createElement(antd_1.Tree.TreeNode, { isLeaf: true, className: 'utree-add-dir', selectable: false, selected: false, checkable: false, expanded: true, title: React.createElement("a", { onClick: function () { return _this.setState({ showAdd: true, editPos: _Utils_1.INSER_POS.AFTER, editKey: rootCode }); } },
                        React.createElement(antd_1.Icon, { type: 'plus' }),
                        " ",
                        canSort ? '在结尾处' : '',
                        "\u6DFB\u52A0",
                        objectName) }));
        }
        else if (canAdd && data.length == 1) {
            var pos = [0];
            var position = '0';
            var _d = this.state, keyword = _d.keyword, searchPos = _d.searchPos;
            if (keyword) {
                if (!searchPos.has(position)) {
                    return React.createElement(React.Fragment, null);
                }
            }
            var node = data[0];
            var param = this.getNodeParam(node, keyword, pos, 1, position);
            return React.createElement(antd_1.Tree.TreeNode, __assign({ dataRef: node }, param), this.renderFixRoot(node, pos));
        }
        return data.map(function (node, idx) { return _this.renderNode(node, [idx], data.length); });
    };
    return ActionTree;
}(BaseTree_1.BaseTree));
exports.ActionTree = ActionTree;
