/**
 * 导入性质Button
*/
import * as React from 'react';
export interface UploadProps {
    /**
     * 接收参数
    */
    accept?: string;
    /**
     * 上传按钮的图标，默认upload
    */
    icon?: string;
    /**
     * 上传按钮的方字，默认为导入
    */
    text?: string;
    /**
     * 上传地址，默认为 /api-fileup/fileup/uploadFile
     *
    */
    url?: string;
    /**
     * 上传完成后的回调
    */
    callback: Function;
}
export default class extends React.PureComponent<UploadProps> {
    state: {
        loading: boolean;
        process: number;
    };
    handleChange: (info: any) => void;
    render(): JSX.Element;
}
