"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (g && (g = 0, op[0] && (_ = 0)), _) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
Object.defineProperty(exports, "__esModule", { value: true });
var antd_1 = require("antd");
var React = require("react");
var _ = require("lodash");
var utils_1 = require("../../utils");
/**
 * 说明：要想编辑动态树，提供的接口必须满足 VAP 接口规范，不满足规范的接口暂不支持。
 *
 */
var default_1 = /** @class */ (function (_super) {
    __extends(default_1, _super);
    function default_1() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.keyField = 'id';
        _this.nameField = 'name';
        _this.iconField = undefined;
        _this.parentField = 'parentId';
        _this.tree = null;
        _this.childSuffix = '';
        _this.parentCode = "";
        _this.state = {
            loading: true,
            treeData: [],
            selectedKeys: [],
        };
        _this.renderTreeNodes = function (data, parent) {
            if (parent === void 0) { parent = null; }
            return data.map(function (item) {
                if (item.parentCode == parent.code && (item.sort < 100 || item.sort > 200)) {
                    if (item.hasChildren) {
                        return React.createElement(antd_1.Tree.TreeNode, { title: item[_this.nameField], key: item[_this.keyField], dataRef: item, parent: parent }, _this.renderTreeNodes(data, item));
                    }
                    return React.createElement(antd_1.Tree.TreeNode, { title: item[_this.nameField], key: item[_this.keyField], dataRef: item, parent: parent });
                }
            });
        };
        _this.renderTreeTjgNodes = function (data, parent) {
            if (parent === void 0) { parent = null; }
            return data.map(function (item) {
                if (item.parentCode == parent.code && (item.sort && (item.sort >= 100 && item.sort <= 200))) {
                    if (item.hasChildren) {
                        return React.createElement(antd_1.Tree.TreeNode, { title: item[_this.nameField], key: item[_this.keyField], dataRef: item, parent: parent }, _this.renderTreeNodes(data, item));
                    }
                    return React.createElement(antd_1.Tree.TreeNode, { title: item[_this.nameField], key: item[_this.keyField], dataRef: item, parent: parent });
                }
            });
        };
        _this.renderParentNodes = function (data, parent) {
            if (parent === void 0) { parent = null; }
            return data.map(function (item) {
                if (item.parentCode == null) {
                    var tjgSubCode_1 = [];
                    var tjgCode_1 = [];
                    _this.state.treeData.map(function (d) {
                        if (item.code == d.parentCode && (d.sort && (d.sort >= 100 && d.sort <= 200))) {
                            tjgSubCode_1.push(d.subCode);
                            tjgCode_1.push(d.code);
                        }
                    });
                    return React.createElement(antd_1.Tree.TreeNode, { title: item[_this.nameField], key: item[_this.keyField], dataRef: item, parent: parent },
                        React.createElement(antd_1.Tree.TreeNode, { title: "厅机关", key: '_____tjg', dataRef: {
                                code: '_____tjg', domainName: '厅机关', subCode: tjgSubCode_1.join(","), tjgCode: tjgCode_1.join(','), parentCode: item.code
                            }, parent: parent }, _this.renderTreeTjgNodes(data, item)),
                        _this.renderTreeNodes(data, item));
                }
            });
        };
        return _this;
    }
    default_1.prototype.componentDidMount = function () {
        return __awaiter(this, void 0, void 0, function () {
            var _a, RESULT, VDATA, selectedKeys, treeData, resp;
            var _this = this;
            return __generator(this, function (_b) {
                switch (_b.label) {
                    case 0:
                        _a = window.VAP_GLOBAL, RESULT = _a.RESULT, VDATA = _a.VDATA;
                        if (_.has(this.props, 'keyField')) {
                            this.keyField = this.props.keyField;
                        }
                        if (_.has(this.props, 'nameField')) {
                            this.nameField = this.props.nameField;
                        }
                        if (_.has(this.props, 'iconField')) {
                            this.iconField = this.props.iconField;
                        }
                        if (_.has(this.props, 'parentField')) {
                            this.parentField = this.props.parentField;
                        }
                        if (_.has(this.props, 'childSuffix')) {
                            this.childSuffix = this.props.childSuffix;
                        }
                        selectedKeys = [];
                        treeData = [];
                        utils_1.Ajax.SESION(this.props.root);
                        return [4 /*yield*/, utils_1.Ajax.GET(this.props.root)];
                    case 1:
                        resp = _b.sent();
                        if (_.isArray(resp[VDATA.data])) {
                            treeData = resp[VDATA.data];
                            if (treeData.length == 1) {
                                selectedKeys = treeData[0][this.keyField];
                            }
                        }
                        else {
                            treeData = [resp[VDATA.data]];
                            selectedKeys = [resp[VDATA.data][this.keyField]];
                        }
                        if (this.props.defaultSelectedKeys) {
                            selectedKeys = this.props.defaultSelectedKeys;
                        }
                        if (this.props.mode == 'search') {
                            selectedKeys = [];
                        }
                        if (this.props.checkChild) {
                            treeData.map(function (item) { return item[_this.props.checkChild] = true; });
                        }
                        this.setState({ treeData: treeData, selectedKeys: selectedKeys, loading: false }, function () {
                            if (treeData.length > 0 && _this.props.mode != 'search') {
                                _this.props.onSelect(treeData[0], null);
                            }
                        });
                        return [2 /*return*/];
                }
            });
        });
    };
    default_1.prototype.onSelect = function (keys, nodes) {
        if (keys.length == 0) {
            if (this.props.mustSelect) {
                return;
            }
            else {
                this.setState({ selectedKeys: [] });
                this.props.onSelect([], []);
                return;
            }
        }
        this.setState({ selectedKeys: keys });
        if (this.props.multiple) {
            var dataRefs_1 = [];
            var parents_1 = [];
            nodes.map(function (node) {
                dataRefs_1.push(node.props.dataRef);
                parents_1.push(node.props.parent);
            });
            this.props.onSelect(dataRefs_1, parents_1);
            return;
        }
        this.props.onSelect(nodes[0].props.dataRef, nodes[0].props.parent);
    };
    default_1.prototype.clearSelect = function () {
        this.setState({ selectedKeys: [] });
    };
    default_1.prototype.render = function () {
        var _this = this;
        if (this.state.loading) {
            return React.createElement(antd_1.Spin, { style: { margin: '24px auto', textAlign: 'center', width: '100%' } });
        }
        var param = {};
        if (this.state.treeData.length == 1) {
            param.defaultExpandedKeys = [this.state.treeData[0][this.keyField]];
            param.defaultSelectedKeys = [this.state.treeData[0][this.keyField]];
        }
        return React.createElement(antd_1.Tree, __assign({ defaultExpandedKeys: ['1001'], showLine: true }, param, this.props, { selectedKeys: this.state.selectedKeys, onSelect: function (selectedKeys, evt) { return _this.onSelect(selectedKeys, evt.selectedNodes); }, 
            // loadData={(treeNode) => this.onLoadData(treeNode)}
            ref: function (tree) { return _this.tree = tree; } }), this.renderParentNodes(this.state.treeData));
    };
    return default_1;
}(React.PureComponent));
exports.default = default_1;
