import * as React from 'react';
import { Render } from '../../utils/Renders';
import { DictRender } from '../../utils/_DictRender';
/**
 * 事件发送属性
 */
interface DiapatchOption {
    type: string;
    /**
    * 自定义属性
   */
    [propName: string]: any;
}
interface NAMESPACE_RENDER {
    strRender: Render;
    strRender12: Render;
    strRender20: Render;
    strRender36: Render;
    strRender48: Render;
    strRender60: Render;
    getDictRender: (dictId: string) => DictRender;
    getFormatRender: (format: string) => Render;
    ipRender: Render;
    idRender: Render;
    /**
    * 自定义属性
   */
    [propName: string]: any;
}
interface NAMESPACE_MENU {
    /**
    * 自定义属性
   */
    [propName: string]: any;
}
interface NAMESPACE_THEME {
    /**
    * 自定义属性
   */
    [propName: string]: any;
}
export type DISPATCH = (option: DiapatchOption) => void;
export interface BaseViewProps {
    /**
     * 发送事件
     *  */
    dispatch: DISPATCH;
    /**
     * 浏览器历史
     *  */
    history: any;
    /**
     * 全局 _render 定义，需要自行注入才可使用
    */
    _renders: NAMESPACE_RENDER;
    /**
     * 全局 _theme 定义，需要自行注入才可使用
    */
    _theme: NAMESPACE_THEME;
    /**
     * 全局 _menus 定义，需要自行注入才可使用
    */
    _menus: NAMESPACE_MENU;
    /**
     * 自定义属性
    */
    [propName: string]: any;
}
export default abstract class extends React.PureComponent<BaseViewProps, any> {
}
export {};
