/// <reference types="react" />
import TreeContent from './_TreeContents';
import { TreeData } from './interface';
export default class extends TreeContent {
    loaded: boolean;
    nameField: string;
    valueField: string;
    state: {
        data: any[];
        selectedKeys: any[];
    };
    delNode: (key: string | number) => void;
    updateNode: (item: TreeData) => void;
    addNode: (item: TreeData) => void;
    getCurrent: () => {};
    filter: (key: string) => void;
    renderNode(item: TreeData): JSX.Element;
    renderParent(items: TreeData[]): JSX.Element[];
    componentDidMount(): void;
    shouldComponentUpdate(): boolean;
    selectNode(selectedKeys: string[]): void;
    onLoadData(treeNode: any): Promise<any>;
    render(): JSX.Element;
}
