/// <reference types="react" />
import { TreeData } from './interface';
import TreeContent from './_TreeContents';
export default class extends TreeContent {
    loaded: boolean;
    filterKey: string;
    nameField: string;
    valueField: string;
    iconField: string;
    allParents: any[];
    state: {
        selectedKeys: any[];
        expandedKeys: any[];
        filtered: boolean;
    };
    getCurrent: () => {};
    delNode: (key: string | number) => void;
    updateNode: (item: TreeData) => void;
    addNode: (item: TreeData) => void;
    filter: (key: string) => void;
    checkChild(item: any, key: any): boolean;
    renderNode(item: TreeData): any[] | JSX.Element;
    renderParent(items: TreeData[]): (any[] | JSX.Element)[];
    buildAllFolders(node: any[]): void;
    componentWillMount(): void;
    shouldComponentUpdate(old: any): boolean;
    selectNode(selectedKeys: string[]): void;
    render(): JSX.Element;
}
