import * as React from 'react';
import { VTablePOpts } from './interface';
/**
 * VTable ： 数据Table组件, 说明 DataTable 和 TableLayout 不再支持，请使用VTable 替代
*/
declare class VTable extends React.PureComponent<VTablePOpts, any> {
    mode: string;
    id: string;
    rowKey: any;
    fetch: string;
    param: any;
    columns: any[];
    initColumns: any[];
    state: {
        showCustom: boolean;
        selectedRowKeys: any[];
        selectObjects: any[];
        current: number;
        pageSize: any;
        maxHeight: number;
        customTemp: {};
    };
    static ACTION: (props: import("../../_common/Table/interface").CustomAciton) => JSX.Element;
    static INFO: (props: import("../../_common/Table/interface").ActionPorps) => JSX.Element;
    static EDIT: (props: import("../../_common/Table/interface").ActionPorps) => JSX.Element;
    static DELETE: (props: import("../../_common/Table/interface").ActionPorps) => JSX.Element;
    static BUTTON_ADD: (onClick: import("../../_common/Table/interface").BTN_CLICK, props?: import("../../_common/Table/interface").ActBTN) => import("../../_common/Table/interface").ActButton;
    static BUTTON_DELETE: (onClick: import("../../_common/Table/interface").BTN_CLICK, props?: import("../../_common/Table/interface").ActBTN) => import("../../_common/Table/interface").ActButton;
    static BUTTON_MORE: (children: import("../../_common/Table/interface").ActButton[]) => import("../../_common/Table/interface").ActButton;
    static BUTTON_IMPORT: (onClick: import("../../_common/Table/interface").BTN_CLICK, props?: import("../../_common/Table/interface").ActBTN) => import("../../_common/Table/interface").ActButton;
    static BUTTON_EXPORT: (onClick: import("../../_common/Table/interface").BTN_CLICK, props?: import("../../_common/Table/interface").ActBTN) => import("../../_common/Table/interface").ActButton;
    private fetchData;
    constructor(props: any);
    componentDidMount(): void;
    componentWillUnmount(): void;
    private changeColumnsTemp;
    private changeColumnShow;
    private showColumns;
    setColumns(columns: any, showIndex?: any): void;
    /**
     * 获取选中项
     */
    getSelected: () => any[][];
    /**
     * 映射方法，手动设置选中项
    */
    setSelected: (keys: string[] | string) => void;
    /**
     * 获取当前查询参数
     */
    getParam: () => any;
    /**
     * 查询
     *  */
    query: (param: any, manaul?: boolean) => void;
    /**
     * 刷新当前页面
     *  */
    reflush: (param?: {}) => void;
    private onSelect;
    private renderSelectBar;
    private reMax;
    private renderSearchBar;
    private sorterField;
    private toPage;
    private renderTable;
    private renderPagination;
    render(): JSX.Element;
}
declare const _default: typeof VTable;
export default _default;
