import { ColumnProps } from 'antd/lib/table/interface';
import { Field } from '../../_common/Table/interface';
export interface UserChooseByDomainProps<T> {
    /**
     * 查询用户接口地址，必须是POST
    */
    url?: string;
    /**
     * 查询安全域接口地址，必须是POST
    */
    domainUrl?: string;
    /**
     * 安全域的name字段key
    */
    nameField?: string;
    /**
     * 安全域的value字段key
    */
    valueField?: string;
    /**
     * 是否显示
    */
    show: boolean;
    /**
     * 列定义
    */
    columns?: ColumnProps<T>[];
    /**
     * 确定按钮回调
    */
    onOk?: Function;
    /**
     * 取消按钮回调
    */
    onCancel: Function;
    /**
     * 搜索条件配置
    */
    fields?: Field[];
    /**
     * 是否开启多选
     */
    multiple?: boolean;
}
