import Multi from './Multi';
import MultiInline from './MultiInline';
import Top from './Top';
import Top2 from './Top2';
import CompareTop from './CompareTop';
import Papaw from './Papaw';
import MutiHorzontal from './MutliHorzontal';
import D3Chart from '../D3Chart';
import { HorizontalOpts } from './BarOptions';
/**
 * 标准条形图(横向)
 * @deprecated
*/
export default class extends D3Chart<HorizontalOpts> {
    /**
     * 纵向条形图，样式一：两行展示
    */
    static Multi: typeof Multi;
    /**
     * 纵向条形图，样式二：Label 与条形图在一行展示
    */
    static MultiInline: typeof MultiInline;
    /**
     * Top排行榜：纯色
    */
    static Top: typeof Top;
    /**
     * Top排行榜：条纹
    */
    static Top2: typeof Top2;
    /**
     * 两侧条形图
    */
    static CompareTop: typeof CompareTop;
    /**
     * 横向条形图：样式二：类似汽泡
     */
    static Papaw: typeof Papaw;
    /**
     * 横向条形图：样式三：多断
     */
    static MutiHorzontal: typeof MutiHorzontal;
    __ClassName: string;
    __Grid: {
        left: number;
        right: number;
        top: number;
        bottom: number;
    };
    labelWidth: number;
    xAixs: any;
    yAixs: any;
    widthScale: any;
    heightScale: any;
    init(): void;
    sort(): void;
    build(): void;
    update(): void;
}
