"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var UForm_1 = require("../_common/UForm");
var index_1 = require("./index");
(0, UForm_1.registerInputType)('editor', /** @class */ (function (_super) {
    __extends(class_1, _super);
    function class_1() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    class_1.prototype.render = function () {
        var _this = this;
        var _a = this.props, disabled = _a.disabled, value = _a.value, field = _a.field;
        if (disabled)
            return React.createElement(index_1.Article, { value: value });
        return React.createElement(index_1.Editor, __assign({}, field.config, { value: value === null ? undefined : value, onChange: function (val) { return _this.onChange(val); } }));
    };
    return class_1;
}(UForm_1.UFormInput)), {
    breakCol: true,
    show: function (value) { return React.createElement(index_1.Article, { value: value }); }
});
