"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.VRow = void 0;
var React = require("react");
var _ = require("lodash");
var antd_1 = require("antd");
/**
 * 布局组件 ： 一行 参考 antd Row,
 * 在VAP里面，每行必须指定高度
*/
var VRow = /** @class */ (function (_super) {
    __extends(VRow, _super);
    function VRow() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    VRow.prototype.render = function () {
        var clazz = ['vrow'];
        var style = _.extend({}, this.props.style, { height: this.props.height || "auto" });
        if (this.props.type == 'flex') {
            if (_.has(this.props.style, 'flexDirection') && _.startsWith(this.props.style.flexDirection, 'column')) {
                clazz.push('vrow-vert');
                // style.height = '100%';
            }
        }
        if (this.props.className) {
            clazz.push(this.props.className);
        }
        return React.createElement(antd_1.Row, __assign({}, this.props, { className: clazz.join(' '), style: style }), this.props.children);
    };
    return VRow;
}(React.PureComponent));
exports.VRow = VRow;
