import * as React from 'react';
import { VPanelProps } from './interface';
export declare abstract class Panel<T extends VPanelProps> extends React.PureComponent<T> {
    isLoading(): boolean;
    isEmpty(): boolean;
    renderAction(): any[] | JSX.Element;
    renderTitle(): JSX.Element;
    renderContent(): any[] | JSX.Element | (T["children"] & {});
}
