export default class {
    static on: (type: string, fn: (this: Object, ...args: any[]) => void) => void;
    static call: (type: string, ...args: any[]) => void;
    /**
     * 呼叫下载，分两种情况，传参根据第一个参数确定
     *
     * 有心中时
     * 参数1 : resp 带workId的下载响应体（object）
     * 参数2 : process 进度地址
     * 参数3 : download 下载地址
     *
     *
     * 无心跳时：
     *
     * 参数1 ：resp 下载地址 (string)
     * 参数2 : process 文件名
     *
    */
    static callDownload(resp: string | any, proc?: string, download?: string): void;
}
