/**
 * 国密SM4 加密算法
 * 使用
 * import { SM4 } from 'vap/utils/SM4';
 * const key = 'xxxxxxxxxxxxxxxx';
 * const sm4 = new SM4(key);
*/
export declare class SM4 {
    key: string;
    constructor(key: string);
    encrypt(content: any): string;
    arrayBufferToBase64(buffer: any): string;
    sm4_setkey_enc(sk: any, key: any): void;
    sm4_crypt_ecb(sk: any, length: any, input: any, output: any): void;
    parseUtf8StringToHex(input: any): string;
    /**
     * 转成ascii码数组
     */
    hexToArray(hexStr: any): any[];
}
